﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="CallBackReports.aspx.cs" Inherits="Surveyor.Website.CallBackReports" %>

<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
        .shadow {
            box-shadow: 5px 5px 10px silver;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <div style="padding: 5px 20px 5px 15px;">
        <br />

        <center>

        <!-- Export Buttons -->
        <table cellpadding="2" cellspacing="2" style="margin-bottom: 16px">
            <tr>
                <td style="padding-right: 4px">
                    <dx:ASPxButton ID="btnPdfExport" runat="server" Text="Export to PDF" UseSubmitBehavior="False"  BackColor="Orange" ForeColor="White"  
    EnableTheming="true"   OnClick="btnPdfExport_Click" />
                </td>
                <td style="padding-right: 4px">
                    <dx:ASPxButton ID="btnXlsExport" runat="server" Text="Export to XLS" UseSubmitBehavior="False"  BackColor="Orange" ForeColor="White"  
    EnableTheming="true"   OnClick="btnXlsExport_Click" />
                </td>
                <td style="padding-right: 4px">
                    <dx:ASPxButton ID="btnXlsxExport" runat="server" Text="Export to XLSX" UseSubmitBehavior="False"  BackColor="Orange" ForeColor="White"  
    EnableTheming="true"   OnClick="btnXlsxExport_Click" />
                </td>
                <td style="padding-right: 4px">
                    <dx:ASPxButton ID="btnRtfExport" runat="server" Text="Export to RTF" UseSubmitBehavior="False"  BackColor="Orange" ForeColor="White"  
    EnableTheming="true"   OnClick="btnRtfExport_Click" />
                </td>
                <td>
                    <dx:ASPxButton ID="btnCsvExport" runat="server" Text="Export to CSV" UseSubmitBehavior="False"   BackColor="Orange" ForeColor="White"  
    EnableTheming="true"   OnClick="btnCsvExport_Click" />
                </td>
            </tr>
        </table>

        <!-- Report GridView -->
        <dx:ASPxGridView 
            ID="gvReport" 
            runat="server" 
            Width="100%" 
            CssClass="shadow"
            ClientInstanceName="gvReport"
            Settings-ShowTitlePanel="true"
            SettingsText-Title ="Callback Report"
            Styles-AlternatingRow-BackColor="WhiteSmoke"
            Styles-TitlePanel-BackColor="White"
            Styles-TitlePanel-ForeColor="DarkOrange"
            Styles-TitlePanel-Font-Size="X-Large"
            Styles-TitlePanel-HorizontalAlign="Left"
            Styles-TitlePanel-Paddings-PaddingLeft="15px"
            DataSourceID="sds_Reports"
            AutoGenerateColumns="False">
            <Columns>
                <dx:GridViewDataColumn Caption="Agent Last Name" FieldName="AgentLast" VisibleIndex="1">
                </dx:GridViewDataColumn>
                 <dx:GridViewDataColumn Caption="Agent First Name" FieldName="AgentFirst" VisibleIndex="2">
                </dx:GridViewDataColumn>
                   <dx:GridViewDataColumn Caption="Caller" FieldName="Caller" VisibleIndex="3">
                </dx:GridViewDataColumn>
                <dx:GridViewDataColumn Caption="Name" FieldName="Name" VisibleIndex="4">
                </dx:GridViewDataColumn>
                <dx:GridViewDataColumn Caption="Buyer" FieldName="Buyer" VisibleIndex="5">
                </dx:GridViewDataColumn> 
                <dx:GridViewDataColumn Caption="Contact" FieldName="Contact" VisibleIndex="6">
                </dx:GridViewDataColumn>
                  <dx:GridViewDataColumn Caption="Phone" FieldName="CallBackPhone" VisibleIndex="7">
                </dx:GridViewDataColumn>
              <dx:GridViewDataCheckColumn Caption="Complete" FieldName="CallBackStatus" VisibleIndex="8">
               <PropertiesCheckEdit AllowGrayed="true" AllowGrayedByClick="false" ValueType="System.Int32" ValueChecked="1" ValueUnchecked="0" />
               </dx:GridViewDataCheckColumn>
                 <dx:GridViewDataColumn Caption="Campaign Name" FieldName="CampaignName" VisibleIndex="9" >
                </dx:GridViewDataColumn>
                <dx:GridViewDataDateColumn Caption="Callback Date" FieldName="CallBackDate" VisibleIndex="10" ShowInCustomizationForm="True" >
                    <PropertiesDateEdit DisplayFormatString="g">
                    </PropertiesDateEdit>
                </dx:GridViewDataDateColumn>
            </Columns>
            <Styles AlternatingRow-Enabled="True" AlternatingRow-BackColor="WhiteSmoke" Header-BackColor="DarkOrange" Header-ForeColor="White" >
              <TitlePanel 
                 BackColor="White" 
                 ForeColor="White" 
                 Font-Size="Large" 
                 HorizontalAlign="Justify" 
                 Paddings-PaddingLeft="15px" />
               </Styles>
            <Settings ShowGroupPanel="True" ShowFooter="True" ShowFilterRow="True"  EnableFilterControlPopupMenuScrolling="True" ShowFilterBar="Visible" ShowFilterRowMenu="True"/>            
        </dx:ASPxGridView>

        </center>

        <dx:ASPxGridViewExporter ID="gridExport" runat="server" GridViewID="gvReport"></dx:ASPxGridViewExporter>
    </div>

    <asp:UpdatePanel ID="upMsgBox" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <dx:ASPxPopupControl
                ID="pcMsgBox"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcMsgBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px"
                Theme="DevEx">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 40px;">
                                    <dx:ASPxImage ID="iIcon" runat="server" ImageUrl="~/Images/Info.png" />
                                </td>
                                <td>
                                    <dx:ASPxLabel ID="lblMsg" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width: 65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnOK" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcMsgBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

    <!-- Data Source -->
    <asp:SqlDataSource
        ID="sds_Reports"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        SelectCommand="  SELECT Agent.ListId,Agent.ContactId,Agent.AgentFirst,Agent.AgentLast,Contacts.Name, 
 CASE WHEN Agent.CallBackPhone IS  NULL or  Agent.CallBackPhone='NULL' THEN  Contacts.Phone ELSE Agent.CallBackPhone END  AS CallBackPhone, Cam.CampaignName ,
 Contacts.Caller,Contacts.Buyer,Contacts.Contact, CASE WHEN Agent.CallBackStatus=1 THEN  Agent.CallBackStatus ELSE '0' END as  CallBackStatus,Agent.CallBackDate
FROM( SELECT ContactedList.AgentFirst, ContactedList.AgentLast, ContactedList.CallBackPhone,ContactedList.CallBackStatus,
 ContactedList.CallBackDate,ContactedList.ListId,ContactedList.ContactId  FROM ContactedList)Agent
LEFT JOIN (SELECT t1.ListId,t2.Name1 AS CampaignName, t2.CampaignId FROM  CampaignList t1  LEFT JOIN  Campaign t2  ON t1.CampaignId=t2.CampaignId) Cam
 ON Cam.ListId=Agent.ListId  LEFT JOIN Contacts  ON  Agent.ContactId=Contacts.ContactId ORDER BY  Agent.CallBackStatus ASC,Agent.CallBackDate DESC;">

    </asp:SqlDataSource>

</asp:Content>
