﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="CallReports.aspx.cs" Inherits="Surveyor.Website.CallReports" %>

<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<%--<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
</asp:Content>--%>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
        .shadow {
            box-shadow: 5px 5px 10px silver;
        }
    </style>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <div style="padding: 5px 20px 5px 15px;">
        <br />

        <center>

        <!-- Export Buttons -->
        <table cellpadding="2" cellspacing="2" style="margin-bottom: 16px">
            <tr>
                <td style="padding-right: 4px">
                    <dx:ASPxButton ID="btnPdfExport" runat="server" Text="Export to PDF" UseSubmitBehavior="False" BackColor="Orange" ForeColor="White"  
    EnableTheming="true"  OnClick="btnPdfExport_Click" />
                </td>
                <td style="padding-right: 4px">
                    <dx:ASPxButton ID="btnXlsExport" runat="server" Text="Export to XLS" UseSubmitBehavior="False" BackColor="Orange" ForeColor="White"  
    EnableTheming="true" OnClick="btnXlsExport_Click" />
                </td>
                <td style="padding-right: 4px">
                    <dx:ASPxButton ID="btnXlsxExport" runat="server" Text="Export to XLSX" UseSubmitBehavior="False" BackColor="Orange" ForeColor="White"  
    EnableTheming="true" OnClick="btnXlsxExport_Click" />
                </td>
                <td style="padding-right: 4px">
                    <dx:ASPxButton ID="btnRtfExport" runat="server" Text="Export to RTF" UseSubmitBehavior="False" BackColor="Orange" ForeColor="White"  
    EnableTheming="true" OnClick="btnRtfExport_Click" />
                </td>
                <td>
                    <dx:ASPxButton ID="btnCsvExport" runat="server" Text="Export to CSV" UseSubmitBehavior="False" BackColor="Orange" ForeColor="White"  
    EnableTheming="true" OnClick="btnCsvExport_Click" />
                </td>
            </tr>
        </table>

        <!-- Report GridView -->
        <dx:ASPxGridView 
            ID="gvReport" 
            runat="server" 
            Width="75%" 
            CssClass="shadow" KeyFieldName="Name1"  
            ClientInstanceName="gvReport"
            Settings-ShowTitlePanel="true"
            SettingsText-Title ="Call Report" 
            Styles-AlternatingRow-BackColor="WhiteSmoke"
            Styles-TitlePanel-BackColor="White"
            Styles-TitlePanel-ForeColor="DarkOrange"
            Styles-TitlePanel-Font-Size="X-Large"
            Styles-TitlePanel-HorizontalAlign="Left"
            Styles-TitlePanel-Paddings-PaddingLeft="15px"
            DataSourceID="sds_Reports"
            AutoGenerateColumns="False" 
            OnCustomSummaryCalculate="gvReport_CustomSummaryCalculate">
            <Columns>    
                <dx:GridViewDataColumn Caption="Campaign" FieldName="CampaignName" VisibleIndex="0" GroupIndex="0" >
                </dx:GridViewDataColumn>
                   <dx:GridViewDataColumn Caption="Customer" FieldName="Customer" VisibleIndex="1" >
                </dx:GridViewDataColumn>
                <dx:GridViewDataColumn Caption="Phone" FieldName="Phone" VisibleIndex="2" >
                </dx:GridViewDataColumn>              
             <dx:GridViewDataDateColumn Caption="Date/Time" FieldName="Date" VisibleIndex="3" ShowInCustomizationForm="True" >
                    <PropertiesDateEdit DisplayFormatString="G" TimeSectionProperties-TimeEditProperties-DisplayFormatString="HH:mm:ss" >
                    </PropertiesDateEdit>
                </dx:GridViewDataDateColumn> 
                <dx:GridViewDataColumn Caption="Dispostion" FieldName="Disposition" VisibleIndex="4" >
                </dx:GridViewDataColumn>
            </Columns>
            <Styles AlternatingRow-Enabled="True" AlternatingRow-BackColor="WhiteSmoke" Header-BackColor="DarkOrange" Header-ForeColor="White" >
              <TitlePanel 
                 BackColor="White" 
                 ForeColor="White" 
                 Font-Size="Large" 
                 HorizontalAlign="Justify" 
                 Paddings-PaddingLeft="15px"  />
               </Styles>
             <SettingsPager PageSize="15" />
             <Settings ShowGroupPanel="True" ShowFooter="True" ShowFilterRow="True"  EnableFilterControlPopupMenuScrolling="True" ShowFilterBar="Visible" ShowFilterRowMenu="True"/>            
            <GroupSummary>
                  <dx:ASPxSummaryItem FieldName="CampaignName" SummaryType="Custom" ShowInGroupFooterColumn="Dispostion" />
            </GroupSummary>
        </dx:ASPxGridView>

        <table style="color: GrayText; padding-top:20px; max-width: 800px;">
            <tr>
                <td style="vertical-align:text-top"><b>Note:&nbsp;</b></td>
                <td>
                    If you export grouped data to RTF, be certain to open the resulting
                    file with an editor that fully supports RTF features, including tables. For instance,
                    Microsoft WordPad doesn't support this feature and thus the file may appear as if
                    corrupted.
                </td>
            </tr>
        </table>

        </center>

        <dx:ASPxGridViewExporter ID="gridExport" runat="server" GridViewID="gvReport"></dx:ASPxGridViewExporter>
    </div>

    <asp:UpdatePanel ID="upMsgBox" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <dx:ASPxPopupControl
                ID="pcMsgBox"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcMsgBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px"
                Theme="DevEx">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 40px;">
                                    <dx:ASPxImage ID="iIcon" runat="server" ImageUrl="~/Images/Info.png" />
                                </td>
                                <td>
                                    <dx:ASPxLabel ID="lblMsg" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width: 65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnOK" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcMsgBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

    <!-- Data Source -->
    <%--SelectCommand="SELECT Contacts.Name, Contacts.Phone, ContactedList.CallStatus, Campaign.Name1 + ' | ' + Campaign.Name2 AS CampaignName, ContactedList.CallDate, ContactedList.AgentFirst, ContactedList.AgentLast FROM Contacts INNER JOIN ContactedList ON Contacts.ContactId = ContactedList.ContactId INNER JOIN CampaignList ON ContactedList.ListId = CampaignList.ListId INNER JOIN Campaign ON CampaignList.CampaignId = Campaign.CampaignId WHERE (ContactedList.CallStatus = '0')">
    --%>
    <asp:SqlDataSource
        ID="sds_Reports"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        SelectCommand="SELECT Campaign.Name1+ ' | ' +CampaignList.ListName AS CampaignName,[Contacts].Contact AS Customer,Contacts.Phone,ContactedList.CallDate AS Date ,Dispositions.Description  AS Disposition FROM ContactedList AS ContactedList INNER JOIN Dispositions AS Dispositions ON ContactedList.CallStatus=Dispositions.CallStatus INNER JOIN CampaignList AS CampaignList ON CampaignList.ListId =ContactedList.ListId INNER JOIN Campaign AS Campaign ON Campaign.CampaignId=CampaignList.CampaignId INNER JOIN Contacts AS Contacts ON Contacts.ContactId=ContactedList.ContactId"></asp:SqlDataSource>
</asp:Content>
<%--TimeLog.LoginTime AS Date,--%>
<%--New Query With Using Login LogOut Time--%>
<%--SELECT Campaign.Name1+ ' | ' +CampaignList.ListName AS CampaignName,[Contacts].Contact AS Customer,Contacts.Phone,ContactedList.CallDate AS Date ,Dispositions.Description  AS Disposition FROM ContactedList AS ContactedList INNER JOIN Dispositions AS Dispositions ON ContactedList.CallStatus=Dispositions.CallStatus INNER JOIN CampaignList AS CampaignList ON CampaignList.ListId =ContactedList.ListId INNER JOIN Campaign AS Campaign ON Campaign.CampaignId=CampaignList.CampaignId INNER JOIN Contacts AS Contacts ON Contacts.ContactId=ContactedList.ContactId--%>

<%--Old Query Showing records after log Out Only--%>
<%--SelectCommand=" SELECT Campaign.Name1 + ' | ' + CampaignList.ListName AS CampaignName ,[Contacts].Contact AS Customer,Contacts.Phone,ContactedList.CallDate AS Date, Dispositions.Description AS Disposition  FROM ContactedList INNER JOIN Dispositions ON ContactedList.CallStatus=Dispositions.CallStatus  INNER JOIN  Contacts ON  Contacts.ContactId = ContactedList.ContactId INNER JOIN TimeLog ON ContactedList.AgentId = TimeLog.AgentId AND CONVERT (datetime, ContactedList.CallDate) >= CONVERT (datetime, TimeLog.LoginTime) AND CONVERT (datetime, ContactedList.CallDate) < CONVERT (datetime, TimeLog.LogoutTime) INNER JOIN CampaignList ON ContactedList.ListId = CampaignList.ListId INNER JOIN Campaign ON CampaignList.CampaignId = Campaign.CampaignId  WHERE (ContactedList.CallStatus >= 0) AND (ContactedList.CallDate IS NOT NULL)">--%>
