﻿<%@ Page Title="Dialer" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" Async="true" CodeBehind="Dialer.aspx.cs" Inherits="Surveyor.Website.Dialer" %>

<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>
<%@ MasterType VirtualPath="~/Site.master" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <link href="css/Widgets.css" rel="stylesheet" type="text/css" />
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <script src="Scripts/Jquery-3.4.1.min.js"></script>
    <%--  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>--%>
    <script type="text/javascript">
        $(window).on("beforeunload", function DeleteKartItems() {
            $.ajax({
                type: "POST",
                url: 'Dialer.aspx/ThreadStop',
                data: "{'threadStop':'" + null + "'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    //$("#divResult").html("success");
                },
                error: function (e) {
                    // $("#divResult").html("Something Wrong.");
                }
            });
        });

        $(document).ready(function () {
            function ClientClearContact() {
                $('#tbManual').val('');
                $('#tbPhone').val('');
                $('#tbPhoneExt').val('');
                $('#tbMobile').val('');
            };



        });


    </script>

    <style type="text/css">
        #ctl00_MainContent_pcFileName_PW-1, #ctl00_MainContent_pcMsgBox_PW-1, #ctl00_MainContent_popup_PW-1 {
            top: 300px !important;
        }

        #ctl00_MainContent_popup_PW-1 {
            left: 711px !important;
        }
    </style>

    <asp:Timer runat="server" ID="Timer1" Interval="1000" Enabled="false" OnTick="Timer1_Tick" />

    <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Always">
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="Timer1" EventName="Tick" />

        </Triggers>

        <ContentTemplate>
            <div>
                <input id="ChangesMade" type="hidden" runat="server" value="false" />

                <dx:ASPxDockManager runat="server" ID="ASPxDockManager" ClientInstanceName="dockManager" OnClientLayout="ASPxDockManager_ClientLayout">
                    <ClientSideEvents
                        PanelShown="function(s, e) { SetWidgetButtonVisible(e.panel.panelUID, false) }"
                        PanelCloseUp="function(s, e) { SetWidgetButtonVisible(e.panel.panelUID, true) }" />
                </dx:ASPxDockManager>
                <%--<ClientSideEvents PanelShown="function(s, e) { SetWidgetButtonVisible(e.panel.panelUID, false) }"
                        PanelCloseUp="function(s, e) { SetWidgetButtonVisible(e.panel.panelUID, true) }"
                         />--%>

                <!-- Campaign -->
                <dx:ASPxDockPanel ID="dpCampaign" PanelUID="Campaign" ClientInstanceName="campaignPanel"
                    runat="server" HeaderText="Campaign" ResizingMode="Live" AllowResize="true" VisibleIndex="1"
                    Top="125" Left="15" Width="440px" MinHeight="65" SaveStateToCookies="true" Theme="DevEx">
                    <ContentCollection>
                        <dx:PopupControlContentControl ID="pccCampaign" runat="server" SupportsDisabledAttribute="True">
                            <table border="0" style="width: 100%; border-collapse: collapse; border-spacing: 0;">
                                <tr>
                                    <td>
                                        <dx:ASPxLabel ID="lblCampaign" runat="server" Text="Campaign:" />
                                    </td>
                                    <td>&nbsp;</td>
                                    <td>
                                        <dx:ASPxComboBox
                                            ID="cbCampaign"
                                            runat="server"
                                            SelectedIndex="-1"
                                            DataSourceID="sds_Campaigns"
                                            ValueField="CampaignId"
                                            TextField="CName"
                                            Width="100%"
                                            AutoPostBack="true"
                                            OnSelectedIndexChanged="cbCampaign_SelectedIndexChanged" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <dx:ASPxLabel ID="lblCampaignList" runat="server" Text="List:" />
                                    </td>
                                    <td>&nbsp;</td>
                                    <td>
                                        <dx:ASPxComboBox
                                            ID="cbCampaignList"
                                            runat="server"
                                            SelectedIndex="-1"
                                            DataSourceID="sds_Lists"
                                            TextField="ListName"
                                            ValueField="ListId"
                                            Width="100%"
                                            AutoPostBack="true"
                                            OnSelectedIndexChanged="cbCampaignList_SelectedIndexChanged" />
                                    </td>
                                </tr>
                            </table>
                        </dx:PopupControlContentControl>
                    </ContentCollection>
                </dx:ASPxDockPanel>

                <!-- Call Control -->
                <dx:ASPxDockPanel ID="dpCallControl" PanelUID="CallControl" ClientInstanceName="callcontrolPanel"
                    runat="server" HeaderText="Call Control" ResizingMode="Live" AllowResize="True"
                    VisibleIndex="2" Top="235" Left="15" Width="440px" MinHeight="90px" SaveStateToCookies="true" Theme="DevEx" EnableHierarchyRecreation="false">
                    <ContentCollection>
                        <dx:PopupControlContentControl ID="pccCallControl" runat="server" SupportsDisabledAttribute="True">
                            <div style="padding-right: 5px; padding-bottom: 15px;">
                                <table border="0" style="width: 100%; border-collapse: collapse;">
                                    <tr>
                                        <!-- Dial -->
                                        <td style="width: 16%">
                                            <dx:ASPxButton ID="btnDial" runat="server" Width="100%" Height="100%" Text="Dial"
                                                Image-Url="~/images/dial.png" ImagePosition="Left" OnClick="btnDial_Click"
                                                Font-Size="10px" />
                                        </td>
                                        <!-- Hang Up -->
                                        <td style="width: 16%">
                                            <dx:ASPxButton ID="btnHang" runat="server" Width="100%" Height="100%" Text="Done"
                                                ToolTip="Hang Up" Image-Url="~/images/hang-up.png" ImagePosition="Left" OnClick="btnHang_Click"
                                                Font-Size="10px" />
                                        </td>
                                        <!-- Transfer -->
                                        <td style="width: 16%">
                                            <dx:ASPxButton ID="btnTranCall" runat="server" Width="100%" Height="100%" Text="Tran"
                                                ToolTip="Transfer Call" Image-Url="~/images/transfer.png" ImagePosition="Left"
                                                OnClick="btnTranCall_Click" Font-Size="10px" />
                                        </td>
                                        <!-- Search -->
                                        <td style="width: 16%">
                                            <dx:ASPxButton ID="btnSearch" runat="server" Width="100%" Height="100%" Text="Search"
                                                ToolTip="Search" Image-Url="~/Images/Search.png" ImagePosition="Left" OnClick="SearchPhone_Click"
                                                Font-Size="10px" />
                                        </td>
                                        <!-- Save -->
                                        <td style="width: 16%">
                                            <%-- OnClientClick="return CheckStatus()"  />--%>
                                            <dx:ASPxButton ID="btnSave" runat="server" Width="100%" Height="100%" Text="Save"
                                                ToolTip="Save" Image-Url="~/Images/Save.png" ImagePosition="Left" OnClick="btnSave_Click"
                                                Font-Size="10px" />
                                        </td>
                                        <!-- Next -->
                                        <td style="width: 16%">
                                            <!-- OnClientClick="return CheckStatus()" -->
                                            <dx:ASPxButton ID="btnNext" runat="server" Width="100%" Height="100%" Text="Next"
                                                ToolTip="Next" Image-Url="~/Images/Next.png" ImagePosition="Left" OnClick="GetContact_Click"
                                                Font-Size="10px" />
                                            <dx:ASPxCheckBox ID="chkNextCall" runat="server" Text="" Font-Size="0px" ReadOnly="true" Visible="false" />

                                            <dx:ASPxButton ID="btnPause" runat="server" Width="100%" Height="50%" Text="Pause" AutoPostBack="true"
                                                ToolTip="Pause" Image-Url="~/Images/Pause.png" ImagePosition="Left" OnClick="btnPause_Click"
                                                Font-Size="10px" />

                                        </td>
                                        <!-- Pass--->
                                        <%-- <td style="width: 10px;">
                                            <dx:ASPxButton ID="btnPause" runat="server" Width="80%" Height="50%" Text="Pause" AutoPostBack="true"
                                                ToolTip="Pause" Image-Url="~/Images/Pause.png" ImagePosition="Left"  OnClick="btnPause_Click"
                                                Font-Size="10px" />
                                            
                                        </td>--%>
                                    </tr>
                                </table>

                            </div>
                            <asp:UpdatePanel ID="upPhones" runat="server">
                                <ContentTemplate>
                                    <table border="0" style="width: 100%">
                                        <tr>
                                            <td style="padding-right: 5px">
                                                <dx:ASPxLabel ID="lblManual" runat="server" Text="Contact:" Wrap="False" />
                                            </td>
                                            <td colspan="4">
                                                <dx:ASPxTextBox ID="tbManual" runat="server" Width="100%" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="5">
                                                <div style="width: 100%; height: 5px; overflow: no-content"></div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="padding-right: 5px">
                                                <dx:ASPxLabel ID="lblPhone" runat="server" Text="Phone 1:" Wrap="False" />
                                            </td>
                                            <td>
                                                <dx:ASPxTextBox ID="tbPhone" runat="server" Width="105px" Text='' />
                                            </td>
                                            <td>
                                                <dx:ASPxTextBox ID="tbPhoneExt" runat="server" Width="45px" Text='' />
                                            </td>
                                            <td>
                                                <dx:ASPxButton ID="btnSelectPhone" runat="server" Image-IconID="actions_apply_16x16" CssClass="NoStyle dxbButton" OnClick="btnSelectPhone_Click" ToolTip="Dial Phone 1" />
                                            </td>
                                            <td>
                                                <dx:ASPxLabel ID="lblMobile" runat="server" Text="Mobile:" Wrap="False" />
                                            </td>
                                            <td>
                                                <dx:ASPxTextBox ID="tbMobile" runat="server" Width="100%" Text='' />
                                            </td>
                                            <td>
                                                <dx:ASPxButton ID="btnSelectMobile" runat="server" Image-IconID="actions_apply_16x16" CssClass="NoStyle dxbButton" OnClick="btnSelectMobile_Click" ToolTip="Dial Mobile Phone" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="padding-right: 5px">
                                                <dx:ASPxLabel ID="lblPhone2" runat="server" Text="Phone 2:" Wrap="False" />
                                            </td>
                                            <td>
                                                <dx:ASPxTextBox ID="tbPhone2" runat="server" Width="105px" Text='' />
                                            </td>
                                            <td>
                                                <dx:ASPxTextBox ID="tbPhone2Ext" runat="server" Width="45px" Text='' />
                                            </td>
                                            <td>
                                                <dx:ASPxButton ID="btnSelectPhon2" runat="server" Image-IconID="actions_apply_16x16" CssClass="NoStyle dxbButton" OnClick="btnSelectPhon2_Click" ToolTip="Dial Phone 2" />
                                            </td>
                                            <td>
                                                <dx:ASPxLabel ID="lblFax" runat="server" Text="Fax:" Wrap="False" />
                                            </td>
                                            <td>
                                                <dx:ASPxTextBox ID="tbFax" runat="server" Width="100%" Text='' />
                                            </td>
                                            <td>
                                                <dx:ASPxButton ID="btnSelectFax" runat="server" Image-IconID="actions_apply_16x16" CssClass="NoStyle dxbButton" OnClick="btnSelectFax_Click" ToolTip="Dial Fax" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="padding-right: 5px">
                                                <dx:ASPxLabel ID="lblEmail" runat="server" Text="Email 1:" Wrap="False" />
                                            </td>
                                            <td colspan="6">
                                                <dx:ASPxTextBox ID="tbEmail" runat="server" Width="100%" Text='' />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td style="padding-right: 5px">
                                                <dx:ASPxLabel ID="lblEmail2" runat="server" Text="Email 2:" Wrap="False" />
                                            </td>
                                            <td colspan="6">
                                                <dx:ASPxTextBox ID="tbEmail2" runat="server" Width="100%" Text='' />
                                            </td>
                                        </tr>
                                    </table>
                                </ContentTemplate>
                            </asp:UpdatePanel>

                        </dx:PopupControlContentControl>
                    </ContentCollection>
                </dx:ASPxDockPanel>

                <!-- Call Status -->
                <dx:ASPxDockPanel ID="dpCallStatus" PanelUID="CallStatus" ClientInstanceName="callstatusPanel"
                    runat="server" HeaderText="Call Status" ResizingMode="Live" AllowResize="true"
                    VisibleIndex="3" Top="480" Left="15" Width="440px" SaveStateToCookies="true" Theme="DevEx">
                    <ContentCollection>
                        <dx:PopupControlContentControl ID="pccCallStatus" runat="server" SupportsDisabledAttribute="True">
                            <dx:ASPxRadioButtonList
                                ID="rblCallStatus"
                                runat="server"
                                ClientInstanceName="CallStatus"
                                RepeatLayout="Flow"
                                RepeatDirection="Horizontal"
                                Border-BorderWidth="0px"
                                Border-BorderStyle="None"
                                Width="100%"
                                DataSourceID="sdsCallDisposition"
                                ValueField="CallStatus"
                                TextField="Description" AutoPostBack="true" OnSelectedIndexChanged="rblCallStatus_SelectedIndexChanged">
                                <Border BorderStyle="None" />
                            </dx:ASPxRadioButtonList>
                        </dx:PopupControlContentControl>
                    </ContentCollection>
                </dx:ASPxDockPanel>

                <!-- Call Notes -->
                <dx:ASPxDockPanel ID="dpNotes" PanelUID="CallNotes" ClientInstanceName="callnotesPanel"
                    runat="server" HeaderText="Call Notes" ResizingMode="Live" AllowResize="true" VisibleIndex="4"
                    Top="125" Left="945" Width="440px" MinHeight="280" Height="280px" SaveStateToCookies="true" Theme="DevEx">
                    <ContentCollection>
                        <dx:PopupControlContentControl ID="PopupControlContentControl1" runat="server" SupportsDisabledAttribute="True">
                            <dx:ASPxLabel ID="lblPriorityNotes" runat="server" Text="Priority Notes" />
                            <dx:ASPxMemo ID="tbPriorityNotes" runat="server" Width="100%" Height="60" ForeColor="Red" />
                            <dx:ASPxGridView
                                ID="gvNotes"
                                runat="server"
                                AutoGenerateColumns="False"
                                DataSourceID="sdsNotes"
                                KeyFieldName="NoteId"
                                PreviewFieldName="Note"
                                Width="100%"
                                EnableRowsCache="False"
                                OnRowInserting="gvNotes_RowInserting"
                                OnCommandButtonInitialize="gvNotes_CommandButtonInitialize">
                                <Columns>
                                    <dx:GridViewCommandColumn
                                        ButtonType="Image"
                                        VisibleIndex="0"
                                        Width="45"
                                        ShowNewButtonInHeader="true" ShowEditButton="True" ShowUpdateButton="true" ShowCancelButton="true" ShowDeleteButton="true">
                                    </dx:GridViewCommandColumn>
                                    <dx:GridViewDataTextColumn FieldName="NoteId" ReadOnly="True" Visible="false" VisibleIndex="1" />
                                    <dx:GridViewDataTextColumn FieldName="ContactId" Visible="false" VisibleIndex="2" />
                                    <dx:GridViewDataDateColumn FieldName="NoteDate" ShowInCustomizationForm="false" VisibleIndex="3" Width="150px" PropertiesDateEdit-DisplayFormatString="g" />
                                    <dx:GridViewDataTextColumn FieldName="AgentExt" ShowInCustomizationForm="false" VisibleIndex="4" Width="75px" />
                                    <dx:GridViewDataTextColumn FieldName="AgentName" ShowInCustomizationForm="False" VisibleIndex="4" />
                                </Columns>
                                <Templates>
                                    <PreviewRow>
                                        <dx:ASPxLabel ID="lblNote" runat="server" Text='<%# Container.Text %>' Width="100%" />
                                    </PreviewRow>
                                    <EditForm>
                                        <dx:ASPxMemo ID="ASPxMemo1" runat="server" Text='<%# Bind("Note") %>' Width="100%" Height="93px" />
                                        <div style="text-align: right; padding: 2px">
                                            <dx:ASPxGridViewTemplateReplacement ID="UpdateButton" runat="server" ReplacementType="EditFormUpdateButton" />
                                            <dx:ASPxGridViewTemplateReplacement ID="CancelButton" runat="server" ReplacementType="EditFormCancelButton" />
                                        </div>
                                    </EditForm>
                                </Templates>
                                <Styles>
                                    <Row BackColor="WhiteSmoke" />
                                    <Header BackColor="Whitesmoke" />
                                </Styles>
                                <Settings ShowFilterRow="false" ShowPreview="true" VerticalScrollableHeight="195" VerticalScrollBarMode="auto" />
                                <SettingsCommandButton
                                    NewButton-Image-IconID="actions_add_16x16"
                                    EditButton-Image-IconID="edit_edit_16x16"
                                    UpdateButton-Image-IconID="save_save_16x16"
                                    CancelButton-Image-IconID="actions_cancel_16x16"
                                    DeleteButton-Image-IconID="edit_delete_16x16" />
                            </dx:ASPxGridView>
                        </dx:PopupControlContentControl>
                    </ContentCollection>
                </dx:ASPxDockPanel>


                <!-- Contact Address -->
                <dx:ASPxDockPanel ID="dpAddress" PanelUID="Address" ClientInstanceName="addressPanel"
                    runat="server" HeaderText="Contact Address" ResizingMode="Live" AllowResize="true" VisibleIndex="5"
                    Top="125" Left="470" Width="445" MinHeight="260" Height="260" SaveStateToCookies="true" Theme="DevEx">
                    <ContentCollection>
                        <dx:PopupControlContentControl ID="pccAddress" runat="server" SupportsDisabledAttribute="True">
                            <dx:ASPxLabel ID="lbContactId" runat="server" Visible="false" Text='' />
                            <div style="padding: 5px 5px 5px 5px;">
                                <table border="0">
                                    <tr>
                                        <td>
                                            <dx:ASPxLabel ID="lblName" runat="server" Text="Name:" />
                                        </td>
                                        <td>
                                            <dx:ASPxTextBox ID="tbName" runat="server" Width="100%" Text='' />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <dx:ASPxLabel ID="lblContact" runat="server" Text="Contact:" />
                                        </td>
                                        <td>
                                            <dx:ASPxTextBox ID="tbContact" runat="server" Width="100%" Text='' ReadOnly="true" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <dx:ASPxLabel ID="lblBuyer" runat="server" Text="Buyer:" />
                                        </td>
                                        <td>
                                            <dx:ASPxTextBox ID="tbBuyer" runat="server" Width="100%" Text='' ReadOnly="true" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <dx:ASPxLabel ID="lblCaller" runat="server" Text="Caller:" />
                                        </td>
                                        <td>
                                            <dx:ASPxTextBox ID="tbCaller" runat="server" Width="100%" Text='' ReadOnly="true" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <dx:ASPxLabel ID="lblAddress" runat="server" Text="Address 1:" />
                                        </td>
                                        <td>
                                            <dx:ASPxTextBox ID="tbAddress" runat="server" Width="100%" Text='' ReadOnly="true" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="padding-right: 5px;">
                                            <dx:ASPxLabel ID="lblAddress2" runat="server" Text="Address 2:" Wrap="False" />
                                        </td>
                                        <td>
                                            <dx:ASPxTextBox ID="tbAddress2" runat="server" Width="100%" Text='' ReadOnly="true" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <dx:ASPxLabel ID="lblCity" runat="server" Text="City:" />
                                        </td>
                                        <td>
                                            <table border="0" style="border-collapse: collapse; border-spacing: 0;">
                                                <tr>
                                                    <td>
                                                        <dx:ASPxTextBox ID="tbCity" runat="server" Width="118px" Text='' ReadOnly="true" />
                                                    </td>
                                                    <td>&nbsp;&nbsp;</td>
                                                    <td>
                                                        <dx:ASPxLabel ID="lblState" runat="server" Text="State:" />
                                                    </td>
                                                    <td>&nbsp;</td>
                                                    <td>
                                                        <dx:ASPxTextBox ID="tbState" runat="server" Width="71px" Text='' ReadOnly="true" />
                                                    </td>
                                                    <td>&nbsp;&nbsp;</td>
                                                    <td>
                                                        <dx:ASPxLabel ID="lblZip" runat="server" Text="Zip:" />
                                                    </td>
                                                    <td>&nbsp;</td>
                                                    <td>
                                                        <dx:ASPxTextBox ID="tbZip" runat="server" Width="75px" Text='' ReadOnly="true" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="padding-right: 5px;">
                                            <dx:ASPxLabel ID="lblCountry" runat="server" Text="Country:" Wrap="False" />
                                        </td>
                                        <td>
                                            <dx:ASPxTextBox ID="tbCountry" runat="server" Width="100%" Text='' ReadOnly="true" />
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </dx:PopupControlContentControl>
                    </ContentCollection>
                </dx:ASPxDockPanel>

                <!-- Prior Ad -->
                <dx:ASPxDockPanel ID="dpPriorAd" PanelUID="PriorAd" ClientInstanceName="prioradPanel"
                    runat="server" HeaderText="Prior Ad" ResizingMode="Live" AllowResize="True" VisibleIndex="6"
                    Top="650" Left="470" Width="460px" MinHeight="200" SaveStateToCookies="true" Theme="DevEx">
                    <ContentCollection>
                        <dx:PopupControlContentControl ID="pccPriorAd" runat="server" SupportsDisabledAttribute="True">
                            <table border="0" width="100%">
                                <tr>
                                    <td>
                                        <dx:ASPxLabel ID="lblPriorAd" runat="server" Text="Prior Ad:" />
                                    </td>
                                    <td colspan="2">
                                        <dx:ASPxMemo ID="memPriorAd" runat="server" Height="60px" Width="100%" Text='' ReadOnly="true" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <dx:ASPxLabel ID="lblClass" runat="server" Text="Class:" />
                                    </td>
                                    <td>
                                        <dx:ASPxTextBox ID="tbClass" runat="server" Width="100" Text='' ReadOnly="true" />
                                    </td>
                                    <td align="right">
                                        <table border="0" cellpadding="0" cellspacing="0">
                                            <tr>
                                                <td>
                                                    <dx:ASPxLabel ID="lblEndDate" runat="server" Text="End Date:&nbsp;&nbsp;" />
                                                </td>
                                                <td>&nbsp;</td>
                                                <td>
                                                    <dx:ASPxDateEdit ID="deEndDate" runat="server" DisplayFormatString="{0:d}" Width="90px" AllowNull="true" ReadOnly="true" />
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <dx:ASPxLabel ID="lblAdNumber" runat="server" Text="Ad #:" />
                                    </td>
                                    <td>
                                        <dx:ASPxTextBox ID="tbAdNumber" runat="server" Width="100" Text='' ReadOnly="true" />
                                    </td>
                                    <td align="right">
                                        <table border="0" cellpadding="0" cellspacing="0">
                                            <tr>
                                                <td>
                                                    <dx:ASPxLabel ID="lblTerrCode" runat="server" Text="Territory:&nbsp;&nbsp;" />
                                                </td>
                                                <td>&nbsp;</td>
                                                <td>
                                                    <dx:ASPxTextBox ID="tbTerrCode" runat="server" Width="90px" Text='' ReadOnly="true" />
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <dx:ASPxLabel ID="lblOperator" runat="server" Text="Operator:" />
                                    </td>
                                    <td>
                                        <dx:ASPxTextBox ID="tbOperator" runat="server" Width="100" Text='' ReadOnly="true" />
                                    </td>
                                    <td align="right">
                                        <table border="0" cellpadding="0" cellspacing="0">
                                            <tr>
                                                <td>
                                                    <dx:ASPxLabel ID="lblAcct" runat="server" Text="Account:" />
                                                </td>
                                                <td>&nbsp;</td>
                                                <td>
                                                    <dx:ASPxTextBox ID="tbAcct" runat="server" Width="90px" Text='' ReadOnly="true" />
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </dx:PopupControlContentControl>
                    </ContentCollection>
                </dx:ASPxDockPanel>

                <!-- Call Back -->
                <dx:ASPxDockPanel ID="dpCallBack" PanelUID="CallBack" ClientInstanceName="callbackPanel"
                    runat="server" HeaderText="Call Back" ResizingMode="Live" AllowResize="true"
                    VisibleIndex="7" Top="540" Left="470" Width="460px" MinHeight="100" SaveStateToCookies="true" Theme="DevEx">
                    <ContentCollection>
                        <dx:PopupControlContentControl ID="pccCallBack" runat="server" SupportsDisabledAttribute="True">
                            <table border="0" width="100%">
                                <tr>
                                    <td style="width: 60%">
                                        <dx:ASPxLabel ID="lblCallBackDate" runat="server" Text="Date/Time" />
                                    </td>
                                    <td style="width: 30%">
                                        <dx:ASPxLabel ID="lblCallBackPhone" runat="server" Text="Phone" />
                                    </td>
                                    <td>
                                        <dx:ASPxLabel ID="lblCallBackStatus" runat="server" Text="Done" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <%-- <dx:ASPxDateEdit ID="deCallBackDate" runat="server" Width="100%" AllowNull="true"
                                        EditFormat="DateTime" NullText="- Select Date/Time -" EditFormatString="g" UseMaskBehavior="True" />--%>
                                        <dx:ASPxDateEdit ID="deCallBackDate" runat="server" Width="100%" AllowNull="true"
                                            EditFormat="DateTime" NullText="- Select Date/Time -" EditFormatString="g" UseMaskBehavior="True" DisplayFormatString="g">
                                            <TimeSectionProperties Visible="true">
                                                <TimeEditProperties Width="100" EditFormatString="hh:mm tt" />
                                            </TimeSectionProperties>
                                        </dx:ASPxDateEdit>
                                    </td>
                                    <td>
                                        <dx:ASPxTextBox ID="tbCallBackPhone" runat="server" Width="100%" Text='' />
                                    </td>
                                    <td>
                                        <dx:ASPxCheckBox ID="chkCallBackStatus" runat="server" Text="" Font-Size="0px" Checked='false' />
                                    </td>
                                </tr>
                            </table>
                        </dx:PopupControlContentControl>
                    </ContentCollection>
                </dx:ASPxDockPanel>


                <!-- Attributes -->
                <dx:ASPxDockPanel ID="dpAttributes" PanelUID="Attributes" ClientInstanceName="AttributesPanel"
                    runat="server" HeaderText="Contact Attributes" ResizingMode="Live" AllowResize="true"
                    VisibleIndex="8" Top="400" Left="470" Width="460px" MinHeight="100" SaveStateToCookies="true" Theme="DevEx">
                    <ContentCollection>
                        <dx:PopupControlContentControl ID="PopupControlContentControl2" runat="server" SupportsDisabledAttribute="True">
                            <table border="0" style="width: 100%">
                                <tr>
                                    <td>
                                        <dx:ASPxLabel ID="lblFirstOrder" runat="server" Text="First Order:" Wrap="False" />
                                    </td>
                                    <td>
                                        <dx:ASPxDateEdit ID="deFirstOrder" runat="server" Width="100%" AllowNull="true"
                                            EditFormat="DateTime" NullText="" EditFormatString="g" UseMaskBehavior="True" DisplayFormatString="g">
                                            <TimeSectionProperties Visible="true">
                                                <TimeEditProperties Width="100" EditFormatString="hh:mm tt" />
                                            </TimeSectionProperties>
                                        </dx:ASPxDateEdit>
                                    </td>
                                    <td>
                                        <dx:ASPxLabel ID="lblClassType" runat="server" Text="Class:" Wrap="False" />
                                    </td>
                                    <td>
                                        <dx:ASPxComboBox
                                            ID="cbClass"
                                            runat="server"
                                            Width="100%"
                                            AllowNull="true"
                                            DataSourceID="sdsClass"
                                            ValueField="LookupValue"
                                            ValueType="System.String"
                                            TextField="LookupDisplay" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <dx:ASPxLabel ID="lblLastOrder" runat="server" Text="Last Order:" Wrap="False" />
                                    </td>
                                    <td>
                                        <dx:ASPxDateEdit ID="deLastOrder" runat="server" Width="100%" AllowNull="true"
                                            EditFormat="DateTime" NullText="" EditFormatString="g" UseMaskBehavior="True" DisplayFormatString="g">
                                            <TimeSectionProperties Visible="true">
                                                <TimeEditProperties Width="100" EditFormatString="hh:mm tt" />
                                            </TimeSectionProperties>
                                        </dx:ASPxDateEdit>
                                    </td>
                                    <td>
                                        <dx:ASPxLabel ID="lblStatus" runat="server" Text="Status:" Wrap="False" />
                                    </td>
                                    <td>
                                        <dx:ASPxComboBox
                                            ID="cbBuyingStatus"
                                            runat="server"
                                            Width="100%"
                                            AllowNull="true"
                                            DataSourceID="sdsBuying"
                                            ValueField="LookupValue"
                                            ValueType="System.String"
                                            TextField="LookupDisplay" />
                                    </td>
                                </tr>
                                <tr>

                                    <td>
                                        <dx:ASPxLabel ID="lblLastContact" runat="server" Text="Last Contact:" Wrap="False" />
                                    </td>
                                    <td>
                                        <dx:ASPxDateEdit ID="deLastContact" runat="server" Width="100%" AllowNull="true"
                                            EditFormat="DateTime" NullText="" EditFormatString="g" UseMaskBehavior="True" DisplayFormatString="g">
                                            <TimeSectionProperties Visible="true">
                                                <TimeEditProperties Width="100" EditFormatString="hh:mm tt" />
                                            </TimeSectionProperties>
                                        </dx:ASPxDateEdit>
                                    </td>
                                    <td>
                                        <dx:ASPxLabel ID="lblTerritory" runat="server" Text="Territory:" Wrap="False" />
                                    </td>
                                    <td>
                                        <dx:ASPxComboBox
                                            ID="cbTerritory"
                                            runat="server"
                                            Width="100%"
                                            AllowNull="true"
                                            DataSourceID="sdsTerritory"
                                            ValueField="LookupValue"
                                            ValueType="System.String"
                                            TextField="LookupDisplay" />
                                    </td>
                                </tr>
                            </table>
                        </dx:PopupControlContentControl>
                    </ContentCollection>
                </dx:ASPxDockPanel>

                <!-- Agent Script -->
                <dx:ASPxDockPanel ID="dpAgentScript" PanelUID="AgentScript" ClientInstanceName="agentscriptPanel"
                    runat="server" HeaderText="Agent Script" ResizingMode="Live" AllowResize="true"
                    VisibleIndex="9" Top="490" Left="945" Width="440px" Height="150px" SaveStateToCookies="true" Theme="DevEx">
                    <ContentCollection>
                        <dx:PopupControlContentControl ID="pccAgentScript" runat="server" SupportsDisabledAttribute="True">
                            <asp:Literal ID="lAgentScript" runat="server" Mode="PassThrough" Text='<%# Bind("AgentScript") %>' />
                        </dx:PopupControlContentControl>
                    </ContentCollection>
                </dx:ASPxDockPanel>


                <!-- Qualification -->
                <dx:ASPxDockPanel ID="dpQualification" PanelUID="QualificationScript" ClientInstanceName="qualificationscriptPanel"
                    runat="server" HeaderText="Call Qualification" ResizingMode="Live" AllowResize="true"
                    VisibleIndex="10" Top="650" Left="15" Width="440px" Height="200px" SaveStateToCookies="true" Theme="DevEx">
                    <ContentCollection>
                        <dx:PopupControlContentControl ID="pccQualificationScript" runat="server" SupportsDisabledAttribute="True">
                            <table border="0" style="width: 100%; border-collapse: collapse; border-spacing: 0;">
                                <tr>
                                    <td>
                                        <dx:ASPxLabel ID="lblHome" runat="server" Text="Home owner:" />
                                    </td>
                                    <%--  <td>&nbsp;</td>--%>
                                    <td>
                                        <dx:ASPxComboBox
                                            ID="cbHome"
                                            runat="server"
                                             AllowNull="true"
                                            DataSourceID="sdsHomeOwner"
                                            ValueField="LookupValue"
                                            TextField="LookupDisplay"
                                            ValueType="System.String"
                                            Width="50%"
                                            />
                                        <%-- <dx:ASPxComboBox
                                            ID="cbHome"
                                            runat="server"
                                            SelectedIndex="-1"
                                            DataSourceID="sdsHomeOwner"
                                            ValueField="LookupValue"
                                            TextField="LookupDisplay"
                                            ValueType="System.String"
                                            Width="50%"
                                            AutoPostBack="true" /> --%>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <dx:ASPxLabel ID="lblQuarter" runat="server" Text="Quarterly spend:" />
                                    </td>
                                    <%--<td>&nbsp;</td>--%>
                                    <td>
                                        <%--<dx:ASPxSpinEdit ID="spnCurrency" runat="server" Width="50%"></dx:ASPxSpinEdit>--%>
                                        <dx:ASPxComboBox
                                            ID="spnCurrency"
                                            runat="server"
                                             AllowNull="true"
                                            DataSourceID="sdsQuarterlyspend"
                                            ValueField="LookupValue"
                                            TextField="LookupDisplay"
                                            ValueType="System.String"
                                            Width="50%"
                                             />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <dx:ASPxLabel ID="lblHouse" runat="server" Text="House Built Prior to 2012:" />
                                    </td>
                                    <%--  <td>&nbsp;</td>--%>
                                    <td>
                                        <dx:ASPxComboBox
                                            ID="cbHouse"
                                            runat="server"
                                           AllowNull="true"
                                            DataSourceID="sdsHouseBuilt"
                                            TextField="LookupDisplay"
                                            ValueField="LookupValue"
                                            ValueType="System.String"
                                            Width="50%"
                                             />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <dx:ASPxLabel ID="lblTime" runat="server" Text="Time at Residence:" />
                                    </td>
                                    <%--<td>&nbsp;</td>--%>
                                    <td>
                                        <dx:ASPxComboBox
                                            ID="cbTime"
                                            runat="server"
                                            AllowNull="true"
                                            DataSourceID="sdsTimeAtResidence"
                                            TextField="LookupDisplay"
                                            ValueField="LookupValue"
                                            ValueType="System.String"
                                            Width="50%"
                                            />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <dx:ASPxLabel ID="lblElectricity" runat="server" Text="Electricity Bill Conc Rating:" />
                                    </td>
                                    <%--   <td>&nbsp;</td>--%>
                                    <td>
                                        <dx:ASPxComboBox
                                            ID="cbElectricity"
                                            runat="server"
                                             AllowNull="true"
                                            DataSourceID="sdsElectricityBill"
                                            TextField="LookupDisplay"
                                            ValueField="LookupValue"
                                            ValueType="System.String"
                                            Width="50%"
                                             />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <dx:ASPxLabel ID="lblBestTime" runat="server" Text="Best Time to Call:" />
                                    </td>
                                    <%--        <td>&nbsp;</td>--%>
                                    <td>
                                        <dx:ASPxComboBox
                                            ID="cbBestTime"
                                            runat="server"
                                            AllowNull="true"
                                            DataSourceID="sdsBestTimeToCall"
                                            TextField="LookupDisplay"
                                            ValueField="LookupValue"
                                            Width="50%"
                                            />
                                    </td>
                                </tr>
                            </table>
                        </dx:PopupControlContentControl>
                    </ContentCollection>
                </dx:ASPxDockPanel>

                <!-- Autovoicemail -->
                <dx:ASPxDockPanel ID="dpAutovoicemail" PanelUID="AutoVoicemail" ClientInstanceName="autoVoicemailPanel"
                    runat="server" HeaderText="Auto Voicemail" ResizingMode="Live" AllowResize="true" VisibleIndex="11"
                    Top="670" Left="945" Width="447px" Height="200px" SaveStateToCookies="true" Theme="DevEx">

                    <ContentCollection>

                        <dx:PopupControlContentControl ID="pccAutoVoicemail" runat="server" SupportsDisabledAttribute="True">
                            <table>
                                <tr>
                                    <td>
                                        <dx:ASPxButton ID="btnPlay" Style="margin-top: 2%;" Text="Play" Width="100px" Image-IconID="arrows_next_16x16" HorizontalAlign="Left" runat="server" OnClick="btnPlay_Click" />
                                    
                                        <dx:ASPxButton ID="btnMessage" Text="Send" EncodeHtml="false" Width="100px" Image-IconID="navigation_forward_16x16office2013" HorizontalAlign="Left" Style="margin-top: 2%;" runat="server" OnClick="btnMessage_Click" />
                                    </td>
                                </tr>
                                <tr>
                                    <td >
                                       
                                        <dx:ASPxGridView ID="gvAudioFiles"
                                            runat="server" Style="margin-top: 4%; height: 242px;"
                                            DataSourceID="CustomersDataSource"
                                            ClientInstanceName="gvAudioFiles"
                                            KeyFieldName="Id"
                                            EnableCallBacks="true"
                                            SettingsBehavior-AllowSelectByRowClick="true"
                                            Width="100%" AutoPostBack="true">
                                            <Columns>
                                                <dx:GridViewCommandColumn ShowUpdateButton="true" ShowCancelButton="true" Visible="false" />
                                                <dx:GridViewDataColumn FieldName="Id" Visible="false" />
                                                <dx:GridViewDataTextColumn FieldName="Description" Caption="File Name">
                                                    <PropertiesTextEdit>
                                                        <ValidationSettings Display="Dynamic" RequiredField-IsRequired="true" />
                                                    </PropertiesTextEdit>
                                                </dx:GridViewDataTextColumn>
                                            </Columns>
                                            <SettingsPager Mode="ShowAllRecords"></SettingsPager>
                                            <Settings VerticalScrollBarMode="Visible" />
                                            <Settings ShowColumnHeaders="true" />
                                        </dx:ASPxGridView>
                                    </td>
                                </tr>
                            </table>






                        </dx:PopupControlContentControl>


                    </ContentCollection>
                </dx:ASPxDockPanel>

                <!--Caller Id -->
                <dx:ASPxDockPanel ID="dpCallerID" PanelUID="CallerID" ClientInstanceName="callerIDPanel"
                    runat="server" HeaderText="Caller ID" ResizingMode="Live" AllowResize="true" VisibleIndex="12"
                    Top="870" Left="470" Width="440px" Height="90px" SaveStateToCookies="true" Theme="DevEx">
                    <ContentCollection>
                        <dx:PopupControlContentControl ID="PopupControlContentControl3" runat="server" SupportsDisabledAttribute="True">
                            <table>
                                <tr>
                                    <td style="width: 10%">
                                        <dx:ASPxLabel ID="lblOrganizationList" runat="server" Text="Numbers:" Wrap="False" />
                                    </td>
                                    <td style="width: 80%">
                                        <dx:ASPxComboBox ID="cboxOrganizationList" runat="server" Width="100%"
                                            EnableSynchronization="False"
                                            DropDownStyle="DropDown"
                                            ClientInstanceName="cboxOrganizationList"
                                            IncrementalFilteringMode="StartsWith" OnSelectedIndexChanged="cboxOrganizationList_SelectedIndexChanged" AutoPostBack="true">
                                        </dx:ASPxComboBox>
                                    </td>
                                    <td style="width: 10%">
                                        <dx:ASPxButton ID="btnRevert" runat="server" Text="" Border-BorderStyle="None" OnClick="btnRevert_Click" Image-IconID="actions_reset_16x16office2013" ToolTip="Revert Caller ID back to default" Visible="true" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <dx:ASPxLabel runat="server" ID="lblMnlNo" Text="Manual Number: " Wrap="false" />
                                    </td>
                                    <td>
                                        <dx:ASPxTextBox ID="txtManualNo" runat="server" Text="" Width="100%" Height="15px" />
                                    </td>
                                    <td>
                                        <dx:ASPxButton ID="btnManualSave" runat="server" Text="" Border-BorderStyle="None" OnClick="btnMnlSave_Click" Image-IconID="arrows_next_16x16office2013" ToolTip="Save Manual Caller ID to 3CX" />
                                    </td>
                                </tr>
                            </table>
                        </dx:PopupControlContentControl>
                    </ContentCollection>
                </dx:ASPxDockPanel>


                <dx:ASPxPopupControl ID="pcMultiList" runat="server" HeaderText="Campaign lists"
                    AllowDragging="true" AllowResize="true" Modal="True" PopupHorizontalAlign="WindowCenter"
                    PopupVerticalAlign="WindowCenter" Width="300px">
                    <ContentCollection>
                        <dx:PopupControlContentControl runat="server" SupportsDisabledAttribute="True">
                            <dx:ASPxLabel ID="lblContactId" runat="server" Visible="false" Text="" />
                            <dx:ASPxLabel ID="lblExplain" runat="server" Text="The specified contact is found in multiple lists.  Please select the list you wish to update." />
                            <br />
                            <br />
                            <dx:ASPxListBox ID="lbList" runat="server">
                            </dx:ASPxListBox>
                            <br />
                            <br />
                            <dx:ASPxButton ID="btnOK" runat="server" OnClick="btnOK_Click" Text="OK" />
                        </dx:PopupControlContentControl>
                    </ContentCollection>
                </dx:ASPxPopupControl>

                <!-------------------------- Toolbar ------------------------->
                <div class="widgetPanel">
                    <!-- Widget Toolbar  -->
                    <div style="float: left; margin-top: -3px">
                        <table>
                            <tr>
                                <asp:Repeater runat="server" ID="repeater">
                                    <ItemTemplate>
                                        <td align="center" valign="Middle" class="tableButton" />
                                        <dx:ASPxImage ID="ASPxImage1" runat="server" Cursor="pointer" ToolTip='<%#"Show " + Container.DataItem%>' ImageAlign="AbsMiddle"
                                            ImageUrl='<%#String.Format("~/Images/{0}.png", Container.DataItem)%>' ClientInstanceName='<%#"widgetButton_" + Container.DataItem%>'
                                            ClientSideEvents-Click='<%#GetClientButtonClickHandler(Container)%>'>
                                        </dx:ASPxImage>
                                        </td>
                                    </ItemTemplate>
                                </asp:Repeater>
                            </tr>
                        </table>
                    </div>
                    <div style="float: left">
                        <table>
                            <tr align="center">
                                <td align="center">
                                    <asp:UpdateProgress ID="UpdateProg1" DynamicLayout="false" DisplayAfter="0" runat="server">
                                        <ProgressTemplate>
                                            <asp:Panel ID="UpdateDialogPanel" runat="server">
                                                <table>
                                                    <tr>
                                                        <td valign="middle">
                                                            <asp:Image ID="ProgressImage" runat="server" alt="Updating..." ImageUrl="~/Images/ajax-loader2.gif" /></td>
                                                        <td>Please Wait...</td>
                                                    </tr>
                                                </table>
                                            </asp:Panel>
                                        </ProgressTemplate>
                                    </asp:UpdateProgress>
                                </td>
                            </tr>
                        </table>
                    </div>
                    <div style="float: right;">
                        <table>

                            <tr>
                                <td>
                                    <asp:Label ID="lblWrapUpTime" runat="server" Text="Wrap Up Time:" Visible="false"></asp:Label>
                                    <dx:ASPxLabel ID="lblCampaignWrapUpTime" runat="server" Visible="false"></dx:ASPxLabel>
                                </td>
                                <td align="center" valign="middle" class="tableButton">
                                    <asp:ImageButton ID="btnReset" runat="server" ToolTip="Reset layout" ImageUrl="~/images/Reset.png" ImageAlign="AbsMiddle" OnClick="btnReset_Click" />
                                </td>
                                <td align="center" valign="middle" class="tableButton">
                                    <asp:ImageButton ID="btnSaveLayout" runat="server" ToolTip="Save layout" ImageUrl="~/Images/Pushpin.png" ImageAlign="AbsMiddle" OnClick="btnSaveLayout_Click" />
                                </td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>


    <asp:UpdatePanel ID="upMsgBox" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <dx:ASPxPopupControl
                ID="pcMsgBox"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcMsgBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px"
                Theme="DevEx">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 40px;">
                                    <dx:ASPxImage ID="iIcon" runat="server" ImageUrl="~/Images/Info.png" />
                                </td>
                                <td>
                                    <dx:ASPxLabel ID="lblMsg" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width: 65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="ASPxButton1" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcMsgBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:UpdatePanel ID="upPopup" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <dx:ASPxPopupControl
                ID="popup"
                runat="server"
                CloseAction="CloseButton"
                LoadContentViaCallback="OnFirstShow"
                PopupVerticalAlign="WindowCenter"
                PopupHorizontalAlign="WindowCenter"
                AllowDragging="true"
                ShowCloseButton="true"
                ShowHeader="true"
                ShowFooter="false"
                Width="500px"
                Height="130px"
                HeaderText="Recording File"
                ClientInstanceName="popup">
                <ContentCollection>
                    <dx:PopupControlContentControl ID="PopupControlContentControlAutoVoiceMail" runat="server">
                        <div style="vertical-align: middle; text-align: center;">
                            <dx:ASPxLabel ID="lblFileName" runat="server" Text="" />
                            <br />
                            <audio id="audioSources" runat="server" controls>
                                <source id="audioMp3" src='Temp/<%: Session["mp3temp"] %>' type="audio/mp3" />
                                <source id="audioWav" src='Temp/<%: Session["wavtemp"] %>' type="audio/wav" />
                                Your browser does not support HTML5 audio.
                            </audio>
                        </div>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:UpdatePanel ID="uplicense" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <dx:ASPxPopupControl
                ID="pcLicense"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcLicense"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 40px;">
                                    <dx:ASPxImage ID="iWarn" runat="server" ImageUrl="~/Images/Info.png" />
                                </td>
                                <td>
                                    <dx:ASPxLabel ID="lblWarn" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width: 65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnLicense" runat="server" Text="OK" Width="65px" OnClick="btnLicense_Click">
                                            <ClientSideEvents Click="function(s, e) { pcLicense.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>


    <asp:SqlDataSource
        ID="sds_Lists"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        SelectCommand="SELECT CampaignList.ListId, CampaignList.ListName FROM CampaignList INNER JOIN ListAgents ON CampaignList.ListId = ListAgents.ListId WHERE (ListAgents.AgentId = @AgentId) AND (CampaignList.CampaignId = @CampaignId) AND (CampaignList.Status = 'A') AND (GETDATE() between StartDate AND EndDate)">
        <SelectParameters>
            <asp:Parameter Name="AgentId" />
            <asp:Parameter Name="CampaignId" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource
        ID="sds_Campaigns"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        SelectCommand="SELECT DISTINCT Campaign.CampaignId, Campaign.Name1 + ' | ' + Campaign.Name2 AS CName FROM Campaign INNER JOIN CampaignList ON Campaign.CampaignId = CampaignList.CampaignId INNER JOIN ListAgents ON CampaignList.ListId = ListAgents.ListId WHERE (Campaign.Status = 'A') AND (ListAgents.AgentId = @AgentId)">
        <SelectParameters>
            <asp:Parameter Name="AgentId" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsNotes" runat="server"
        ConnectionString="<%$ ConnectionStrings:3CXSurveyorConnectionString %>"
        DeleteCommand="DELETE FROM [Notes] WHERE [NoteId] = @NoteId"
        InsertCommand="INSERT INTO [Notes] ([ContactId], [Note], [NoteDate], [AgentExt], [AgentName]) VALUES (@ContactId, @Note, @NoteDate, @AgentExt, @AgentName)"
        SelectCommand="SELECT * FROM [Notes] WHERE ContactId = @ContactId ORDER BY [NoteDate] DESC"
        UpdateCommand="UPDATE [Notes] SET [ContactId] = @ContactId, [Note] = @Note, [NoteDate] = @NoteDate, [AgentExt] = @AgentExt, [AgentName] = @AgentName WHERE [NoteId] = @NoteId">
        <SelectParameters>
            <asp:SessionParameter Name="ContactId" DefaultValue="0" SessionField="ContactId" />
        </SelectParameters>
        <DeleteParameters>
            <asp:Parameter Name="NoteId" Type="Int64" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="ContactId" Type="Int64" />
            <asp:Parameter Name="Note" Type="String" />
            <asp:Parameter Name="NoteDate" Type="DateTime" />
            <asp:Parameter Name="AgentExt" Type="Int32" />
            <asp:Parameter Name="AgentName" Type="String" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="ContactId" Type="Int64" />
            <asp:Parameter Name="Note" Type="String" />
            <asp:Parameter Name="NoteDate" Type="DateTime" />
            <asp:Parameter Name="AgentExt" Type="Int32" />
            <asp:Parameter Name="AgentName" Type="String" />
            <asp:Parameter Name="NoteId" Type="Int64" />
        </UpdateParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource
        ID="sdsCallDisposition"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        SelectCommand="SELECT * FROM [Dispositions] WHERE ([Disable] = @Disable)">
        <SelectParameters>
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsBuying" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE (([LookupType] = @LookupType) AND ([Disable] = @Disable))">
        <SelectParameters>
            <asp:Parameter DefaultValue="BS" Name="LookupType" Type="String" />
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsTerritory" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE (([LookupType] = @LookupType) AND ([Disable] = @Disable))">
        <SelectParameters>
            <asp:Parameter DefaultValue="TE" Name="LookupType" Type="String" />
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsClass" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE (([LookupType] = @LookupType) AND ([Disable] = @Disable))">
        <SelectParameters>
            <asp:Parameter DefaultValue="CL" Name="LookupType" Type="String" />
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>


    <asp:SqlDataSource ID="sdsHomeOwner" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE (([LookupType] = @LookupType) AND ([Disable] = @Disable))">
        <SelectParameters>
            <asp:Parameter DefaultValue="HO" Name="LookupType" Type="String" />
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsQuarterlyspend" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE (([LookupType] = @LookupType) AND ([Disable] = @Disable))">
        <SelectParameters>
            <asp:Parameter DefaultValue="QS" Name="LookupType" Type="String" />
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsHouseBuilt" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE (([LookupType] = @LookupType) AND ([Disable] = @Disable))">
        <SelectParameters>
            <asp:Parameter DefaultValue="HB" Name="LookupType" Type="String" />
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsTimeAtResidence" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE (([LookupType] = @LookupType) AND ([Disable] = @Disable))">
        <SelectParameters>
            <asp:Parameter DefaultValue="TR" Name="LookupType" Type="String" />
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsElectricityBill" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE (([LookupType] = @LookupType) AND ([Disable] = @Disable))">
        <SelectParameters>
            <asp:Parameter DefaultValue="EBC" Name="LookupType" Type="String" />
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsBestTimeToCall" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE (([LookupType] = @LookupType) AND ([Disable] = @Disable))">
        <SelectParameters>
            <asp:Parameter DefaultValue="BTC" Name="LookupType" Type="String" />
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="CustomersDataSource" runat="server"
        SelectCommand="SELECT * FROM [Voicemail] WHERE ([Extension] = @Extension   OR DisplayAll=1)">
        <SelectParameters>
            <asp:SessionParameter SessionField="LoginExt" Name="Extension" Type="String"></asp:SessionParameter>
        </SelectParameters>
    </asp:SqlDataSource>

<%--     ConnectionString='<% Session("AutoVoicemailConnectionString").ToString() %>'--%>
    <script type="text/javascript">

        //function ShowWidgetPanel(widgetPanelUID) {
        //    var panel = dockManager.GetPanelByUID(widgetPanelUID);
        //    panel.Show();
        //}
        //function SetWidgetButtonVisible(widgetName, visible) {
        //    alert(widgetName);
        //    var button = ASPxClientControl.GetControlCollection().GetByName('widgetButton_' + widgetName);
        //    //alert(button.GetMainElement().className);
        //   button.GetMainElement().className = visible ? '' : 'disabled';
        //}


        function ShowWidgetPanel(widgetPanelUID) {
            var panel = dockManager.GetPanelByUID(widgetPanelUID);
            panel.Show();
        }
        function SetWidgetButtonVisible(widgetName, visible) {
            var button = ASPxClientControl.GetControlCollection().GetByName('widgetButton_' + widgetName);
            var currentClass = button.GetMainElement().className;
            var newClass = ASPxClientUtils.Trim(visible ? currentClass.replace('disabled', '') : currentClass + ' disabled');
            button.GetMainElement().className = newClass;
        }

        function CheckStatus() {
            var CallStatus = ASPxClientControl.GetControlCollection().GetByName('CallStatus');
            if (CallStatus.GetValue() == null) {
                DialogShow("You must specify a call status", "Error", "Error.png");
                return false;
            }
            else {
                timeMsg();
                return true;
            }
        }
        function ClientClearContact() {
            getElementById("tbManual").value = "";
            getElementById("tbPhone").value = "";
            getElementById("tbPhoneExt").value = "";
            getElementById("tbMobile").value = "";
            alert('HELLO');
            //Calling this method when we use AutoDial feature
        }

        window.onbeforeunload = confirmExit;
        function confirmExit() {
            var Changes = document.getElementById('<%=ChangesMade.ClientID %>').value;

            if (Changes == 'true') {
                return "You have not saved your changes to this Contact.  If you leave this page some of your changes will be lost!";
            }
        }

        function timeMsg() {
            var t = setTimeout("hideLabel()", 6000);
        }
<%--        function hideLabel() {
            document.getElementById('<%=btnSave.ClientID%>').style.display = 'none';
        }--%>
    </script>

</asp:Content>
