﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Reports2.aspx.cs" Inherits="Surveyor.Website.Reports2" %>

<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
        .shadow {
            box-shadow: 5px 5px 10px silver;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <div style="padding: 5px 5px 5px 5px;">
        <br />
        <center>

        <!-- Export Buttons -->
        <table cellpadding="2" cellspacing="2" style="margin-bottom: 16px">
            <tr>
                <td style="padding-right: 4px">
                    <dx:ASPxButton ID="btnPdfExport" runat="server" Text="Export to PDF" UseSubmitBehavior="False"  BackColor="Orange" ForeColor="White"  
    EnableTheming="true"   OnClick="btnPdfExport_Click" />
                </td>
                <td style="padding-right: 4px">
                    <dx:ASPxButton ID="btnXlsExport" runat="server" Text="Export to XLS" UseSubmitBehavior="False"   BackColor="Orange" ForeColor="White"  
    EnableTheming="true"   OnClick="btnXlsExport_Click" />
                </td>
                <td style="padding-right: 4px">
                    <dx:ASPxButton ID="btnXlsxExport" runat="server" Text="Export to XLSX" UseSubmitBehavior="False"   BackColor="Orange" ForeColor="White"  
    EnableTheming="true"   OnClick="btnXlsxExport_Click" />
                </td>
                <td style="padding-right: 4px">
                    <dx:ASPxButton ID="btnRtfExport" runat="server" Text="Export to RTF" UseSubmitBehavior="False"   BackColor="Orange" ForeColor="White"  
    EnableTheming="true"   OnClick="btnRtfExport_Click" />
                </td>
                <td>
                    <dx:ASPxButton ID="btnCsvExport" runat="server" Text="Export to CSV" UseSubmitBehavior="False"   BackColor="Orange" ForeColor="White"  
    EnableTheming="true"   OnClick="btnCsvExport_Click" />
                </td>
            </tr>
        </table>

        <!-- Report GridView -->
        <dx:ASPxGridView 
            ID="gvReport" 
            ClientInstanceName="gvReport" 
            runat="server" 
            CssClass="shadow"
            DataSourceID="sds_Reports"
            Settings-ShowTitlePanel="true"
            SettingsText-Title ="Performance Report"
            Styles-AlternatingRow-BackColor="WhiteSmoke"
            Styles-TitlePanel-BackColor="White"
            Styles-TitlePanel-ForeColor="DarkOrange"
            Styles-TitlePanel-Font-Size="X-Large"
            Styles-TitlePanel-HorizontalAlign="Left"
            Styles-TitlePanel-Paddings-PaddingLeft="15px"
             OnCustomUnboundColumnData="gvReport_CustomUnboundColumnData"
            AutoGenerateColumns="False">
            <Columns>
                <dx:GridViewDataColumn Caption="First" FieldName="AgentFirst" Width="100px" VisibleIndex="0">
                </dx:GridViewDataColumn>
                <dx:GridViewDataColumn Caption="Last" FieldName="AgentLast" Width="100px" VisibleIndex="1">
                </dx:GridViewDataColumn>
                <dx:GridViewDataDateColumn Caption="Login Date/Time" FieldName="LoginTime" Width="200px"
                    VisibleIndex="2">
                    <PropertiesDateEdit DisplayFormatString="g">
                    </PropertiesDateEdit>
                </dx:GridViewDataDateColumn>
                <dx:GridViewDataColumn Caption="Calls" FieldName="Calls" Width="80px" VisibleIndex="3">
                </dx:GridViewDataColumn>
                <dx:GridViewDataColumn Caption="Time" FieldName="TimeSpent" Width="150px" VisibleIndex="4">
                </dx:GridViewDataColumn>
                <dx:GridViewDataColumn Caption="Campaign Name" FieldName="CampaignName" VisibleIndex="5">
                </dx:GridViewDataColumn>
            </Columns>
            <Settings ShowGroupPanel="True" ShowFooter="True" ShowFilterRow="True" EnableFilterControlPopupMenuScrolling="True"
                ShowFilterBar="Visible" ShowFilterRowMenu="True" />
            <TotalSummary>
                <dx:ASPxSummaryItem FieldName="SaleValue" SummaryType="Sum" />
            </TotalSummary>
 <Styles AlternatingRow-Enabled="True" AlternatingRow-BackColor="WhiteSmoke" Header-BackColor="DarkOrange" Header-ForeColor="White" >
              <TitlePanel 
                 BackColor="White" 
                 ForeColor="White" 
                 Font-Size="Large" 
                 HorizontalAlign="Justify" 
                 Paddings-PaddingLeft="15px" />
               </Styles>
        </dx:ASPxGridView>

        <table style="color: GrayText; padding-top:20px; max-width: 800px;">
            <tr>
                <td style="vertical-align:text-top"><b>Note:&nbsp;</b></td>
                <td>
                    If you export grouped data to RTF, be certain to open the resulting
                    file with an editor that fully supports RTF features, including tables. For instance,
                    Microsoft WordPad doesn't support this feature and thus the file may appear as if
                    corrupted.
                </td>
            </tr>
        </table>
        </center>

        <dx:ASPxGridViewExporter ID="gridExport" runat="server" GridViewID="gvReport"></dx:ASPxGridViewExporter>
    </div>

    <asp:UpdatePanel ID="upMsgBox" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <dx:ASPxPopupControl
                ID="pcMsgBox"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcMsgBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px"
                Theme="DevEx">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 40px;">
                                    <dx:ASPxImage ID="iIcon" runat="server" ImageUrl="~/Images/Info.png" />
                                </td>
                                <td>
                                    <dx:ASPxLabel ID="lblMsg" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width: 65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnOK" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcMsgBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

    <!-- Data Source -->
    <asp:SqlDataSource ID="sds_Reports" runat="server" ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        SelectCommand="SELECT ContactedList.AgentFirst, ContactedList.AgentLast, TimeLog.LoginTime, COUNT(ContactedList.ContactId) AS Calls, CONVERT (Time(0), CONVERT (datetime, TimeLog.LogoutTime) - CONVERT (datetime, TimeLog.LoginTime)) AS TimeSpent, Campaign.Name1 + ' | ' + Campaign.Name2 AS CampaignName FROM ContactedList INNER JOIN TimeLog ON ContactedList.AgentId = TimeLog.AgentId AND CONVERT (datetime, ContactedList.CallDate) >= CONVERT (datetime, TimeLog.LoginTime) AND CONVERT (datetime, ContactedList.CallDate) < CONVERT (datetime, TimeLog.LogoutTime) INNER JOIN CampaignList ON ContactedList.ListId = CampaignList.ListId INNER JOIN Campaign ON CampaignList.CampaignId = Campaign.CampaignId WHERE (ContactedList.CallStatus >= 0) AND (ContactedList.CallDate IS NOT NULL) GROUP BY TimeLog.LoginTime, TimeLog.LogoutTime, Campaign.Name1, Campaign.Name2, ContactedList.AgentFirst, ContactedList.AgentLast"></asp:SqlDataSource>



</asp:Content>
