﻿<%@ Page Title="Campaign" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Campaign.aspx.cs" Async="true" Inherits="Surveyor.Website.Campaign" %>

<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>
<%@ Register Assembly="DevExpress.Web.ASPxHtmlEditor.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web.ASPxHtmlEditor" TagPrefix="dx" %>
<%@ Register Assembly="DevExpress.Web.ASPxSpellChecker.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web.ASPxSpellChecker" TagPrefix="dx" %>

<%@ Register TagPrefix="dx" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v16.1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
      <style type="text/css">
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-sbSpacer {
            border-bottom:none; 
             /*border-bottom: 4px solid #FF8800 ;*/
        }
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-activeTab,
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-tab, 
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-leftIndent, 
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-spacer, 
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-rightIndent,
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-sbWrapper, 
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-sbIndent,
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-sbSpacer {
            border-bottom:none !important; 
             /*border-bottom: 4px solid #FF8800 ;*/
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>

            <asp:Label ID="LabelCampaignId" runat="server" Text="" Visible="false" />
            <asp:Label ID="LabelLastTab" runat="server" Text="" Visible="false" />
            <asp:Label ID="LabelVisibleIndex" runat="server" Text="" Visible="false" />

            <div style="padding: 20px 10px 10px 10px;">

                <center>
                    <table border="0">
                        <tr>
                            <td valign="top">
                                <!-- Campaign GridView -->
                                <dx:ASPxGridView 
                                    ID="gvCampaign" 
                                    ClientInstanceName="gvCampaign" 
                                    runat="server" 
                                    CssClass="shadow" 
                                    EnableCallBacks="false"
                                    Theme="Metropolis"
                                    AutoGenerateColumns="False" 
                                    DataSourceID="dsCampaign" 
                                    KeyFieldName="CampaignId"
                                    OnDetailRowExpandedChanged="gvCampaign_DetailRowExpandedChanged"
                                    ClientSideEvents-DetailRowExpanding="function(s,e) { s.SetFocusedRowIndex(e.visibleIndex); }"> 
                                    <Columns>
                                        <dx:GridViewCommandColumn 
                                            ButtonType="Image" 
                                            VisibleIndex="0" 
                                            Width="30px" 
                                            Caption="&nbsp;"
                                            ShowNewButtonInHeader="true"
                                            ShowEditButton="true"
                                            ShowDeleteButton="true"
                                            ShowUpdateButton="true"
                                             />
                                        <dx:GridViewDataTextColumn FieldName="CampaignId" ReadOnly="True" Visible="False" VisibleIndex="1">
                                            <EditFormSettings Visible="False" />
                                        </dx:GridViewDataTextColumn>
                                        <dx:GridViewDataTextColumn FieldName="Name1" VisibleIndex="2" Width="300px" />
                                        <dx:GridViewDataTextColumn FieldName="Name2" VisibleIndex="3" Width="300px" />
                                        <dx:GridViewDataComboBoxColumn Caption="Status" FieldName="Status" VisibleIndex="4" Width="65px">
                                            <PropertiesComboBox DataSourceID="dsLookup" TextField="LookupDisplay" ValueField="LookupValue" ValueType="System.String"></PropertiesComboBox>
                                        </dx:GridViewDataComboBoxColumn>
                                               <dx:GridViewDataSpinEditColumn FieldName="WrapUpTime" VisibleIndex="5" Width="65px" Visible="false"  >
                                                   <PropertiesSpinEdit MinValue="0" MaxValue="60" ></PropertiesSpinEdit>
                                               </dx:GridViewDataSpinEditColumn>
                                        <dx:GridViewDataTextColumn FieldName="AgentScript" Visible="False" VisibleIndex="6" PropertiesTextEdit-Height="100%">
                                            <EditFormSettings Visible="True" ColumnSpan="4" />
                                        </dx:GridViewDataTextColumn>
                                    </Columns>
                                    <SettingsBehavior 
                                        EnableRowHotTrack="false"
                                        AllowFocusedRow="True" 
                                        AllowSelectByRowClick="True" 
                                        AllowSelectSingleRowOnly="True" 
                                        ConfirmDelete="true" />
                                    <SettingsEditing
                                        PopupEditFormWidth="650px" 
                                        EditFormColumnCount="3" 
                                        Mode="PopupEditForm"
                                        PopupEditFormAllowResize="True" 
                                        PopupEditFormHeight="90%" 
                                        PopupEditFormHorizontalAlign="WindowCenter"
                                        PopupEditFormModal="False" />
                                    <Settings 
                                        ShowFilterRow="True" 
                                        ShowTitlePanel="true" />
                                    <SettingsText 
                                        PopupEditFormCaption="Campaign" 
                                        Title="Campaigns"
                                        ConfirmDelete="Are you sure you want to delete this Campaign? All Lists under this Campaign should delete first!" />
                                    <SettingsDetail 
                                        ShowDetailRow="True" 
                                        AllowOnlyOneMasterRowExpanded="true" />
                                    <SettingsCommandButton 
                                        NewButton-Image-IconID="actions_add_16x16"  
                                        EditButton-Image-IconID="edit_edit_16x16" 
                                        CancelButton-Image-IconID="actions_cancel_16x16"
                                        DeleteButton-Image-IconID="edit_delete_16x16"
                                        UpdateButton-Image-IconID="save_save_16x16" />
                                    <Styles 
                                        AlternatingRow-Enabled="True" AlternatingRow-BackColor="WhiteSmoke" Header-BackColor="DarkOrange" Header-ForeColor="White" >
                                        <TitlePanel 
                                            BackColor="White" 
                                            ForeColor="White" 
                                            Font-Size="Large" 
                                            HorizontalAlign="Center" 
                                            Paddings-PaddingLeft="15px" />
                                    </Styles>
                                    <Templates>
                                        <EditForm>
                                            <table width="100%" border="0">
                                                <tr>
                                                    <td style="width: 80px" align="right">
                                                        <dx:ASPxLabel ID="lblName1" runat="server" Text="Description 1:" />
                                                    </td>
                                                    <td>
                                                        <dx:ASPxTextBox 
                                                            ID="tbName1" 
                                                            runat="server" 
                                                            Text='<%# bind("Name1")%>' 
                                                            Width="100%"
                                                            ValidationSettings-ValidationGroup="<%# Container.ValidationGroup %>">
                                                            <ValidationSettings RequiredField-IsRequired="true" SetFocusOnError="true" ValidateOnLeave="true" CausesValidation="true" />
                                                        </dx:ASPxTextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="right">
                                                        <dx:ASPxLabel ID="lblName2" runat="server" Text="Description 2:" />
                                                    </td>
                                                    <td>
                                                        <dx:ASPxTextBox 
                                                            ID="tbName2" 
                                                            runat="server" 
                                                            Text='<%# bind("Name2")%>' 
                                                            Width="100%" 
                                                            ValidationSettings-ValidationGroup="<%# Container.ValidationGroup %>">
                                                            <ValidationSettings RequiredField-IsRequired="true" SetFocusOnError="true" ValidateOnLeave="true" CausesValidation="true" />
                                                        </dx:ASPxTextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td align="right">
                                                        <dx:ASPxLabel ID="lblStatus" runat="server" Text="Status:" />
                                                    </td>
                                                    <td>
                                                        <dx:ASPxComboBox 
                                                            ID="cbStatus" 
                                                            runat="server" 
                                                            DataSourceID="dsLookup" 
                                                            TextField="LookupDisplay"
                                                            Value='<%# bind("Status")%>' 
                                                            ValueField="LookupValue" 
                                                            ValueType="System.String"
                                                            ValidationSettings-ValidationGroup="<%# Container.ValidationGroup %>">
                                                            <ValidationSettings RequiredField-IsRequired="true" SetFocusOnError="true" ValidateOnLeave="true" />
                                                        </dx:ASPxComboBox>
                                                    </td>
                                                </tr>
                                                  <tr>
                                                    <td align="right">
                                                        <dx:ASPxLabel ID="lblWrapUpTime" runat="server" Text="Wrap Up Time:" Visible="false" />
                                                    </td>
                                                    <td>
                                                        <dx:ASPxSpinEdit 
                                                            ID="tbWrpaUpTime" 
                                                            runat="server" 
                                                            Text='<%# bind("WrapUpTime")%>' 
                                                            Width="170px" 
                                                            ValidationSettings-ValidationGroup="<%# Container.ValidationGroup %>" MinValue="0" MaxValue="60" Visible="false">
                                                            <ValidationSettings RequiredField-IsRequired="true" SetFocusOnError="true" ValidateOnLeave="true" CausesValidation="true" />
                                                        </dx:ASPxSpinEdit>
                                                    </td>
                                                </tr>
                                                <tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <dx:ASPxLabel ID="lblAgentScript" runat="server" Text="Agent Script" />
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="2">
                                                        <dx:ASPxHtmlEditor ID="heAgentScript" runat="server" Html='<%# bind("AgentScript")%>'
                                                            Width="665px" Height="500px" SettingsResize-AllowResize="true" />
                                                    </td>
                                                </tr>
                                            </table>
                                            <div style="float: right; padding: 2px 2px 2px 2px">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <dx:ASPxGridViewTemplateReplacement ID="UpdateButton" ReplacementType="EditFormUpdateButton" runat="server" />
                                                        </td>
                                                        <td>
                                                            <dx:ASPxGridViewTemplateReplacement ID="CancelButton" ReplacementType="EditFormCancelButton" runat="server" />
                                                        </td>
                                                    </tr>
                                                 </table>
                                            </div>
                                        </EditForm>
                                        <DetailRow>
                                            <asp:Label ID="lbCampaignId" runat="server" Text='<%# bind("CampaignId")%>' Visible="false" />

                                            <!-- Campaign Lists GridView -->
                                            <dx:ASPxGridView 
                                                ID="gvLists" 
                                                ClientInstanceName="gvLists" 
                                                runat="server" 
                                                EnableCallBacks="false"
                                                AutoGenerateColumns="False" 
                                                DataSourceID="dsLists" 
                                                KeyFieldName="ListId"
                                                Theme="Metropolis"
                                                OnCustomButtonCallback="gvLists_CustomButtonCallback"
                                                OnBeforePerformDataSelect="gvLists_BeforePerformDataSelect">
                                                <ClientSideEvents CustomButtonClick="function (s, e) { if (e.buttonID == 'btnDelete'){ e.processOnServer = confirm('Are you sure you want to delete this item? Clear the campaign History First'); } else { e.processOnServer = true; } }" />
                                                <Columns>
                                                    <dx:GridViewCommandColumn ButtonType="Image" VisibleIndex="0" Caption="&nbsp;">
                                                        <HeaderCaptionTemplate>
                                                        <div style="padding-left:14px;"><dx:ASPxButton ID="ibAddNewList" runat="server" Image-IconID="actions_add_16x16" ToolTip="Add new list" EnableTheming = "False" RenderMode="Link" OnClick="ibAddNewList_Click" /></div>
                                                        </HeaderCaptionTemplate>
                                                        <CustomButtons>
                                                            <dx:GridViewCommandColumnCustomButton ID="btnEdit" Image-IconID="edit_edit_16x16"  Image-ToolTip="Edit Campaign List" />
                                                            <dx:GridViewCommandColumnCustomButton ID="btnDelete" Image-IconID="edit_delete_16x16" Image-ToolTip="Delete Campaign List" />
                                                        </CustomButtons>
                                                    </dx:GridViewCommandColumn>
                                                    <dx:GridViewDataTextColumn FieldName="ListId" ReadOnly="True" Visible="False" VisibleIndex="2" />
                                                    <dx:GridViewDataTextColumn FieldName="CampaignId" Visible="False" VisibleIndex="3" />
                                                    <dx:GridViewDataTextColumn FieldName="ListName" VisibleIndex="4" Width="250px" Caption="List Description" />
                                                  <dx:GridViewDataDateColumn FieldName="StartDate" VisibleIndex="5" Caption="Start Date" >

                                                    <PropertiesDateEdit EditFormatString="g" DisplayFormatString="g">
                                                        <TimeSectionProperties>
                                                            <TimeEditProperties Width="100" EditFormatString="hh:mm tt" />
                                                        </TimeSectionProperties>
                                                    </PropertiesDateEdit>

                                                </dx:GridViewDataDateColumn>
                                                    <dx:GridViewDataDateColumn FieldName="EndDate" VisibleIndex="6" Caption="End Date" >

                                                    <PropertiesDateEdit EditFormatString="g" DisplayFormatString="g">
                                                        <TimeSectionProperties>
                                                            <TimeEditProperties Width="100" EditFormatString="hh:mm tt" />
                                                        </TimeSectionProperties>
                                                    </PropertiesDateEdit>

                                                </dx:GridViewDataDateColumn>
                                                    <dx:GridViewDataMemoColumn FieldName="SqlQuery" Visible="false" VisibleIndex="7" Caption="SQL Query" />
                                                    <dx:GridViewDataMemoColumn FieldName="AgentScript" Visible="false" VisibleIndex="9" Caption="AgentScript" />
                                                    <dx:GridViewDataComboBoxColumn Caption="Status" FieldName="Status" ShowInCustomizationForm="True" Visible="True" VisibleIndex="10" Width="50px">
                                                        <PropertiesComboBox DataSourceID="dsLookup" TextField="LookupDisplay" ValueField="LookupValue" ValueType="System.String">
                                                        </PropertiesComboBox>
                                                    </dx:GridViewDataComboBoxColumn>
                                                </Columns>
                                                <Styles AlternatingRow-Enabled="True" AlternatingRow-BackColor="WhiteSmoke" Header-BackColor="DarkOrange" Header-ForeColor="White" >
                                        <TitlePanel 
                                            BackColor="White" 
                                            ForeColor="DarkOrange" 
                                            Font-Size="XX-Large" 
                                            HorizontalAlign="Center" 
                                            Paddings-PaddingLeft="15px" />
                                    </Styles>
                                                <SettingsBehavior  
                                                    EnableRowHotTrack="false"
                                                    AllowFocusedRow="True" 
                                                    AllowSelectByRowClick="True" 
                                                    AllowSelectSingleRowOnly="True" 
                                                    ConfirmDelete="true" />
                                                <SettingsCommandButton 
                                                    NewButton-Image-IconID="actions_add_16x16"  
                                                    EditButton-Image-IconID="edit_edit_16x16" 
                                                    UpdateButton-Image-IconID="save_save_16x16" 
                                                    CancelButton-Image-IconID="actions_cancel_16x16"
                                                    DeleteButton-Image-IconID="edit_delete_16x16" />
                                                <Templates>
                                                    <EmptyDataRow>
                                                        <asp:ImageButton ID="btnAddList" runat="server" ToolTip="Add Campaign List" ImageUrl="Images/Add.png" OnClick="btnAddList_Click" />
                                                    </EmptyDataRow>
                                                </Templates>
                                            </dx:ASPxGridView>
                                        </DetailRow>
                                    </Templates>
                                </dx:ASPxGridView>

                                <script lang="javascript" type="text/javascript">
                                    function gvLists_CustomButtonClick(s, e) { gvLists.SetFocusedRowIndex(e.visibleIndex); if (e.buttonID == 'btnEdit') { gvLists.StartEditRow(e.visibleIndex); } else if (e.buttonID == 'btnDelete') { if (confirm('Are you sure you want to delete this List?')) { gvLists.DeleteRow(e.visibleIndex); } } }
                                </script>

                            </td>
                        </tr>
                    </table>
                </center>

                <dx:ASPxPopupControl
                    ID="pcCampaignListEditor"
                    runat="server"
                    HeaderText="Campaign list"
                    AllowDragging="true"
                    AllowResize="true"
                    CssClass="shadow"
                    PopupHorizontalAlign="WindowCenter"
                    PopupVerticalAlign="WindowCenter"
                    Width="800px"
                    Height="600px">
                    <ContentCollection>
                        <dx:PopupControlContentControl ID="PopupControlContentControl1" runat="server" SupportsDisabledAttribute="True">
                            <dx:ASPxPageControl ID="pcCampaignList" runat="server" EnableCallBacks="true" AutoPostBack="false"
                                OnActiveTabChanged="pcCampaignList_ActiveTabChanged" Width="100%" Height="550px">
                                <TabPages>
                                    <dx:TabPage Text="General">
                                        <ContentCollection>
                                            <dx:ContentControl ID="ccGeneral" runat="server">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <dx:ASPxLabel ID="lblListName" runat="server" Text="List Name:" Wrap="False" />
                                                        </td>
                                                        <td>
                                                            <dx:ASPxTextBox ID="tbListName" runat="server" Width="250px" TabIndex="1">
                                                                <ValidationSettings
                                                                    RequiredField-IsRequired="True"
                                                                    SetFocusOnError="True"
                                                                    ValidateOnLeave="True"
                                                                    CausesValidation="true"
                                                                    ValidationGroup="vgList">
                                                                    <RequiredField IsRequired="True" />
                                                                </ValidationSettings>
                                                            </dx:ASPxTextBox>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>
                                                            <dx:ASPxLabel ID="lblStartDate" runat="server" Text="Start Date:" Wrap="False" />
                                                        </td>
                                                        <td>
                                                            <dx:ASPxDateEdit ID="deStartDate" runat="server" AllowNull="true"
                                                                EditFormat="DateTime" NullText="" EditFormatString="g" UseMaskBehavior="True" DisplayFormatString="g" TabIndex="3">
                                                                <TimeSectionProperties Visible="true">
                                                                    <TimeEditProperties Width="100" EditFormatString="HH:mm:ss" />
                                                                </TimeSectionProperties>
                                                                <ValidationSettings
                                                                    RequiredField-IsRequired="True"
                                                                    SetFocusOnError="True"
                                                                    ValidateOnLeave="True"
                                                                    CausesValidation="true"
                                                                    ValidationGroup="vgList">
                                                                    <RequiredField IsRequired="True" />
                                                                </ValidationSettings>
                                                            </dx:ASPxDateEdit>
                                                            <%-- <dx:ASPxDateEdit ID="deStartDate" runat="server">
                                                                <TimeSectionProperties Visible="true">
                                                                    <TimeEditProperties EditFormatString="hh:mm tt"></TimeEditProperties>
                                                                </TimeSectionProperties>
                                                            </dx:ASPxDateEdit>--%>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <dx:ASPxLabel ID="lblStatus" runat="server" Text="Status:" Wrap="False" />
                                                        </td>
                                                        <td>
                                                            <dx:ASPxComboBox ID="cbStatus" runat="server" DataSourceID="dsLookup" TextField="LookupDisplay"
                                                                ValueField="LookupValue" ValueType="System.String" TabIndex="2">
                                                                <ValidationSettings
                                                                    RequiredField-IsRequired="true"
                                                                    SetFocusOnError="true"
                                                                    ValidateOnLeave="true"
                                                                    CausesValidation="true"
                                                                    ValidationGroup="vgList">
                                                                    <RequiredField IsRequired="True" />
                                                                </ValidationSettings>
                                                            </dx:ASPxComboBox>
                                                        </td>
                                                        <td>&nbsp;
                                                        </td>
                                                        <td>
                                                            <dx:ASPxLabel ID="lblEndDate" runat="server" Text="End Date:" Wrap="False" />
                                                        </td>
                                                        <td>
                                                            <dx:ASPxDateEdit ID="deEndDate" runat="server" AllowNull="true"
                                                                EditFormat="DateTime" NullText="" EditFormatString="g" UseMaskBehavior="True" DisplayFormatString="g" TabIndex="4">
                                                                <TimeSectionProperties Visible="true">
                                                                    <TimeEditProperties Width="100" EditFormatString="HH:mm:ss" />
                                                                </TimeSectionProperties>
                                                                <ValidationSettings
                                                                    RequiredField-IsRequired="True"
                                                                    SetFocusOnError="True"
                                                                    ValidateOnLeave="True"
                                                                    CausesValidation="true"
                                                                    ValidationGroup="vgList">
                                                                    <RequiredField IsRequired="True" />
                                                                </ValidationSettings>
                                                            </dx:ASPxDateEdit>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </dx:ContentControl>
                                        </ContentCollection>
                                    </dx:TabPage>
                                    <dx:TabPage Text="Agent Script">
                                        <ContentCollection>
                                            <dx:ContentControl ID="ccAgentScript" runat="server">
                                                <dx:ASPxHtmlEditor
                                                    ID="heAgentScript"
                                                    runat="server"
                                                    Html=''
                                                    Width="750px"
                                                    Height="500px"
                                                    SettingsResize-AllowResize="true">
                                                    <settingsimageupload>
                                                        <ValidationSettings 
                                                            AllowedFileExtensions=".jpe, .jpeg, .jpg, .gif, .png" 
                                                            MultiSelectionErrorText="Attention! The following {0} files are invalid because they exceed the allowed file size ({1}) or their extensions are not allowed. These files have been removed from selection, so they will not be uploaded. {2}">
                                                        </ValidationSettings>
                                                    </settingsimageupload>
                                                    <SettingsResize AllowResize="True" />
                                                    <settingsimageselector>
                                                        <CommonSettings AllowedFileExtensions=".jpe, .jpeg, .jpg, .gif, .png" />
                                                    </settingsimageselector>
                                                    <settingsdocumentselector>
                                                        <CommonSettings AllowedFileExtensions=".rtf, .pdf, .doc, .docx, .odt, .txt, .xls, .xlsx, .ods, .ppt, .pptx, .odp" />
                                                    </settingsdocumentselector>
                                                </dx:ASPxHtmlEditor>
                                            </dx:ContentControl>
                                        </ContentCollection>
                                    </dx:TabPage>
                                    <dx:TabPage Text="SQL Query">
                                        <ContentCollection>
                                            <dx:ContentControl ID="ccSQLQuery" runat="server">
                                                <table style="border: 1px solid silver; width: 100%;" cellspacing="0">
                                                    <tr>
                                                        <td rowspan="2" style="width: 80px; height: 470px; padding: 10px 10px 10px 10px" valign="top">
                                                            <dx:ASPxFilterControl ID="fcFilter" runat="server" ClientInstanceName="fcFilter" EnableCallBacks="False">
                                                                <Columns>
                                                                    <dx:FilterControlTextColumn PropertyName="Name" DisplayName="Company" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="Contact" DisplayName="Owner" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="Buyer" DisplayName="Buyer" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="Caller" DisplayName="Reception" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="Address" DisplayName="Address 1" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="Address2" DisplayName="Address 2" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="City" DisplayName="City" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="State" DisplayName="State" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="ZipCode" DisplayName="Zip Code" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="Country" DisplayName="Country" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="Phone" DisplayName="Phone 1" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="PhoneExt" DisplayName="Ext 1" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="Phone2" DisplayName="Phone 2" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="Phone2Ext" DisplayName="Ext 2" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="Mobile" DisplayName="Mobile" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="Fax" DisplayName="Fax" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="Email" DisplayName="Email 1" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="Email2" DisplayName="Email 2" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="Class" DisplayName="Class" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="EndDate" DisplayName="End Date" ColumnType="DateTime" />
                                                                    <dx:FilterControlTextColumn PropertyName="PriorAd" DisplayName="Prior Ad" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="Operator" DisplayName="Operator" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="Territory" DisplayName="Territory" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="AdNumber" DisplayName="Ad Number" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="AcctNumber" DisplayName="Acct Number" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="ListName" DisplayName="List Name" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="ListDate" DisplayName="List Date" ColumnType="DateTime" />
                                                                    <dx:FilterControlTextColumn PropertyName="ImportDate" DisplayName="Import Date" ColumnType="DateTime" />
                                                                    <dx:FilterControlCheckColumn PropertyName="DoNotContact" DisplayName="Do Not Contact" ColumnType="Boolean" PropertiesCheckEdit-ValueType="System.Boolean" />
                                                                    <dx:FilterControlTextColumn PropertyName="BuyingStatus" DisplayName="Buying Status" ColumnType="String" />
                                                                    <dx:FilterControlCheckColumn PropertyName="Private" DisplayName="Private" ColumnType="Boolean" PropertiesCheckEdit-ValueType="System.Boolean" />
                                                                    <dx:FilterControlTextColumn PropertyName="PriorityNotes" DisplayName="Priority Notes" ColumnType="String" />
                                                                    <dx:FilterControlTextColumn PropertyName="FirstOrder" DisplayName="First Order" ColumnType="DateTime" />
                                                                    <dx:FilterControlTextColumn PropertyName="LastOrder" DisplayName="Last Order" ColumnType="DateTime" />
                                                                    <dx:FilterControlTextColumn PropertyName="LastContact" DisplayName="Last Contact" ColumnType="DateTime" />
                                                                </Columns>
                                                            </dx:ASPxFilterControl>
                                                            <br />
                                                            <dx:ASPxButton runat="server" ID="btnApply" Text="Apply" AutoPostBack="true" UseSubmitBehavior="false"
                                                                Image-Url="~/Images/Refresh.png" ImagePosition="Left" OnClick="btnApply_Click">
                                                                <Image Url="~/Images/Refresh.png">
                                                                </Image>
                                                            </dx:ASPxButton>

                                                        </td>
                                                        <td style="vertical-align: top; height: 40px;">
                                                            <!-- Query Text -->
                                                            <dx:ASPxMemo ID="FilterText" runat="server" Visible="true" Width="100%" Height="40px" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td style="vertical-align: top;">
                                                            <!-- Results GridView -->
                                                            <dx:ASPxGridView
                                                                ID="gvContacts"
                                                                runat="server"
                                                                AutoGenerateColumns="False"
                                                                DataSourceID="dsContacts"
                                                                KeyFieldName="ContactId"
                                                                Width="100%">
                                                                <Columns>
                                                                    <dx:GridViewCommandColumn
                                                                        VisibleIndex="0"
                                                                        ButtonType="Image"
                                                                        Caption="&nbsp;"
                                                                        Width="60px"
                                                                        ShowClearFilterButton="true"
                                                                        ShowNewButtonInHeader="true"
                                                                        ShowEditButton="true"
                                                                        ShowInCustomizationForm="True" />
                                                                    <dx:GridViewDataTextColumn FieldName="ContactId" VisibleIndex="01" Visible="False" ReadOnly="True" />
                                                                    <dx:GridViewDataTextColumn FieldName="ListId" VisibleIndex="02" Visible="False" />
                                                                    <dx:GridViewDataTextColumn FieldName="Name" VisibleIndex="03" Caption="Company" Width="150px" />
                                                                    <dx:GridViewDataTextColumn FieldName="Contact" VisibleIndex="04" Caption="Owner" Width="150px" />
                                                                    <dx:GridViewDataTextColumn FieldName="Buyer" VisibleIndex="05" Caption="Buyer" Width="150px" />
                                                                    <dx:GridViewDataTextColumn FieldName="Caller" VisibleIndex="06" Caption="Reception" Width="150px" />
                                                                    <dx:GridViewDataTextColumn FieldName="Address" VisibleIndex="07" Caption="Address 1" Width="200px" />
                                                                    <dx:GridViewDataTextColumn FieldName="Address2" VisibleIndex="05" Caption="Address 2" Width="200px" />
                                                                    <dx:GridViewDataTextColumn FieldName="City" VisibleIndex="06" Caption="City" Width="150px" />
                                                                    <dx:GridViewDataTextColumn FieldName="State" VisibleIndex="10" Caption="State" Width="50px" />
                                                                    <dx:GridViewDataTextColumn FieldName="ZipCode" VisibleIndex="11" Caption="Zip Code" Width="90px" />
                                                                    <dx:GridViewDataTextColumn FieldName="Country" VisibleIndex="12" Caption="Country" Width="100px" />
                                                                    <dx:GridViewDataTextColumn FieldName="Phone" VisibleIndex="13" Caption="Phone 1" Width="85px" />
                                                                    <dx:GridViewDataTextColumn FieldName="PhoneExt" VisibleIndex="14" Caption="Ext 1" Width="40px" />
                                                                    <dx:GridViewDataTextColumn FieldName="Phone2" VisibleIndex="15" Caption="Phone 2" Width="85px" />
                                                                    <dx:GridViewDataTextColumn FieldName="Phone2Ext" VisibleIndex="16" Caption="Ext 2" Width="40px" />
                                                                    <dx:GridViewDataTextColumn FieldName="Mobile" VisibleIndex="17" Caption="Mobile" Width="85px" />
                                                                    <dx:GridViewDataTextColumn FieldName="Fax" VisibleIndex="18" Caption="Fax" Width="85px" />
                                                                    <dx:GridViewDataTextColumn FieldName="Email" VisibleIndex="19" Caption="Email 1" Width="165px" />
                                                                    <dx:GridViewDataTextColumn FieldName="Email2" VisibleIndex="20" Caption="Email 2" Width="165px" />
                                                                    <dx:GridViewDataTextColumn FieldName="Class" VisibleIndex="21" Caption="Class" Width="40px" />
                                                                    <dx:GridViewDataDateColumn FieldName="EndDate" VisibleIndex="22" Caption="End Date" Width="80px" />
                                                                    <dx:GridViewDataTextColumn FieldName="PriorAd" VisibleIndex="23" Caption="Prior Ad" Width="100px" />
                                                                    <dx:GridViewDataTextColumn FieldName="Operator" VisibleIndex="24" Caption="Operator" Width="80px" />
                                                                    <dx:GridViewDataTextColumn FieldName="Territory" VisibleIndex="25" Caption="Territory" Width="55px" />
                                                                    <dx:GridViewDataTextColumn FieldName="AdNumber" VisibleIndex="26" Caption="Ad Number" Width="75px" />
                                                                    <dx:GridViewDataTextColumn FieldName="AcctNumber" VisibleIndex="27" Caption="Acct Number" Width="85px" />
                                                                    <dx:GridViewDataTextColumn FieldName="ListName" VisibleIndex="28" Caption="List Name" Width="100px" />
                                                                    <dx:GridViewDataDateColumn FieldName="ListDate" VisibleIndex="29" Caption="List Date" Width="80px" PropertiesDateEdit-DisplayFormatString="d" />
                                                                    <dx:GridViewDataDateColumn FieldName="ImportDate" VisibleIndex="30" Caption="Import Date" Width="80px" PropertiesDateEdit-DisplayFormatString="d" />
                                                                    <dx:GridViewDataCheckColumn FieldName="DoNotContact" VisibleIndex="31" Caption="Do Not Contact" Width="95px" />
                                                                    <dx:GridViewDataTextColumn FieldName="BuyingStatus" VisibleIndex="32" Caption="Buying Status" Width="85px" />
                                                                    <dx:GridViewDataCheckColumn FieldName="Private" VisibleIndex="33" Caption="Private" Width="45px" />
                                                                    <dx:GridViewDataTextColumn FieldName="PriorityNotes" VisibleIndex="34" Caption="Priority Notes" Width="200px" />
                                                                    <dx:GridViewDataDateColumn FieldName="FirstOrder" VisibleIndex="35" Caption="First Order" Width="80px" PropertiesDateEdit-DisplayFormatString="d" />
                                                                    <dx:GridViewDataDateColumn FieldName="LastOrder" VisibleIndex="36" Caption="Last Order" Width="80px" PropertiesDateEdit-DisplayFormatString="d" />
                                                                    <dx:GridViewDataDateColumn FieldName="LastContact" VisibleIndex="37" Caption="Last Contact" Width="80px" PropertiesDateEdit-DisplayFormatString="d" />
                                                                </Columns>
                                                                <SettingsCommandButton
                                                                    NewButton-Image-IconID="actions_add_16x16gray"
                                                                    EditButton-Image-IconID="edit_edit_16x16"
                                                                    CancelButton-Image-IconID="actions_cancel_16x16"
                                                                    DeleteButton-Image-IconID="edit_delete_16x16" />
                                                                <SettingsEditing Mode="Batch" />
                                                                <SettingsBehavior ColumnResizeMode="NextColumn" />
                                                                <SettingsPager PageSize="12" />
                                                                <Settings ShowHorizontalScrollBar="True" />
                                                                <Styles AlternatingRow-BackColor="WhiteSmoke" />
                                                            </dx:ASPxGridView>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </dx:ContentControl>
                                        </ContentCollection>
                                    </dx:TabPage>
                                    <dx:TabPage Text="Assign Agents">
                                        <ContentCollection>
                                            <dx:ContentControl ID="ContentControl1" runat="server">
                                                <center>
                                                <table>
                                                    <tr>
                                                        <td style="vertical-align:top">
                                                            <dx:ASPxLabel ID="lblAvailable"  runat="server" Text="Unassigned" />
                                                            <dx:ASPxListBox 
                                                                ID="lbOptions" 
                                                                runat="server" 
                                                                Height="300px" 
                                                                Width="200px">
                                                            </dx:ASPxListBox>
                                                        </td>
                                                        <td>
                                                            <dx:ASPxButton 
                                                                ID="btSelect" 
                                                                runat="server" 
                                                                Width="50px" 
                                                                Height="30px"
                                                                Image-IconID="arrows_next_16x16" 
                                                                Theme="SoftOrange"
                                                                OnClick="bntMoveOne_Click">
                                                            </dx:ASPxButton><br />
                                                            <br />
                                                            <dx:ASPxButton 
                                                                ID="btSelectAll" 
                                                                runat="server" 
                                                                Width="50px"
                                                                Height="30px"
                                                                Image-IconID="arrows_doublenext_16x16"
                                                                Theme="SoftOrange"
                                                                OnClick="bntMoveAll_Click">
                                                            </dx:ASPxButton><br />        
                                                            <br />                                                        
                                                            <dx:ASPxButton 
                                                                ID="btUnselectAll" 
                                                                runat="server" 
                                                                Width="50px"
                                                                Height="30px"
                                                                Image-IconID="arrows_doubleprev_16x16"
                                                                Theme="SoftOrange"
                                                                OnClick="bntReturnAll_Click">                   
                                                            </dx:ASPxButton><br />
                                                            <br />
                                                            <dx:ASPxButton 
                                                                ID="btUnselect" 
                                                                runat="server" 
                                                                Width="50px"
                                                                Height="30px"
                                                                Image-IconID="arrows_prev_16x16"
                                                                Theme="SoftOrange"
                                                                OnClick="bntReturnOne_Click">
                                                            </dx:ASPxButton>
                                                        </td>
                                                        <td style="vertical-align:top">
                                                            <dx:ASPxLabel ID="lblAssigned" runat="server" Text="Assigned" />
                                                            <dx:ASPxListBox 
                                                                ID="lbSelectedOptions" 
                                                                runat="server" 
                                                                Height="300px" 
                                                                Width="200px">
                                                            </dx:ASPxListBox>
                                                        </td>
                                                    </tr>
                                                </table>
                                                </center>
                                            </dx:ContentControl>
                                        </ContentCollection>
                                    </dx:TabPage>
                                </TabPages>
                            </dx:ASPxPageControl>
                            <!-- Clear History Button -->
                            <div style="float: left; padding: 4px 0 10px 2px">
                                <dx:ASPxButton runat="server" ID="btnClearHistory" Text="Clear History" AutoPostBack="true" Image-IconID="actions_clear_16x16" ToolTip="Delete all history for this campaign" OnClick="btnClearHistory_Click" />
                            </div>
                            <!-- Save Button -->
                            <div style="float: right; text-align: right; padding: 4px 0px 10px 2px">
                                <dx:ASPxButton
                                    ID="btnSave"
                                    runat="server"
                                    Text="Save"
                                    AutoPostBack="true"
                                    UseSubmitBehavior="false"
                                    ImagePosition="Left"
                                    ValidationGroup="vgList"
                                    CausesValidation="true"
                                    Image-IconID="save_save_16x16"
                                    Theme="SoftOrange"
                                    OnClick="btnSave_Click">
                                </dx:ASPxButton>
                            </div>
                        </dx:PopupControlContentControl>
                    </ContentCollection>
                </dx:ASPxPopupControl>

            </div>

        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:UpdatePanel ID="upMsgBox" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <dx:ASPxPopupControl
                ID="pcMsgBox"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcMsgBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px"
                Theme="DevEx">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 40px;">
                                    <dx:ASPxImage ID="iIcon" runat="server" ImageUrl="~/Images/Info.png" />
                                </td>
                                <td>
                                    <dx:ASPxLabel ID="lblMsg" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width: 65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnOK" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcMsgBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

    <!-- Campaign Data Source -->
    <asp:SqlDataSource ID="dsCampaign" runat="server" ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        DeleteCommand="DELETE FROM [Campaign] WHERE [CampaignId] = @CampaignId" InsertCommand="INSERT INTO [Campaign] ([Name1], [Name2], [Status], [AgentScript], [WrapUpTime]) VALUES (@Name1, @Name2, @Status, @AgentScript, @WrapUpTime)"
        SelectCommand="SELECT * FROM [Campaign]" UpdateCommand="UPDATE [Campaign] SET [Name1] = @Name1, [Name2] = @Name2, [Status] = @Status, [AgentScript] = @AgentScript, [WrapUpTime]=@WrapUpTime WHERE [CampaignId] = @CampaignId">
        <DeleteParameters>
            <asp:Parameter Name="CampaignId" Type="Int32" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="Name1" Type="String" />
            <asp:Parameter Name="Name2" Type="String" />
            <asp:Parameter Name="Status" Type="String" />
            <asp:Parameter Name="AgentScript" Type="String" />
            <asp:Parameter Name="WrapUpTime" Type="Int32" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="Name1" Type="String" />
            <asp:Parameter Name="Name2" Type="String" />
            <asp:Parameter Name="Status" Type="String" />
            <asp:Parameter Name="AgentScript" Type="String" />
            <asp:Parameter Name="CampaignId" Type="Int32" />
            <asp:Parameter Name="WrapUpTime" Type="Int32" />
        </UpdateParameters>
    </asp:SqlDataSource>

    <!-- Campaign List data source -->
    <asp:SqlDataSource ID="dsLists" runat="server" ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        SelectCommand="SELECT * FROM [CampaignList] WHERE ([CampaignId] = @CampaignId)"
        DeleteCommand="DELETE FROM [CampaignList] WHERE [ListId] = @ListId"
        InsertCommand="INSERT INTO [CampaignList] ([CampaignId], [ListName], [StartDate], [EndDate], [Status], [SqlQuery], [FilterText], [AgentScript]) VALUES (@CampaignId, @ListName, @StartDate,  @EndDate,  @Status, @SqlQuery, @FilterText, @AgentScript)"
        UpdateCommand="UPDATE [CampaignList] SET [CampaignId] = @CampaignId, [ListName] = @ListName, [StartDate] = @StartDate, [EndDate] = @EndDate, [Status] = @Status, [SqlQuery] = @SqlQuery, [FilterText] = @FilterText, [AgentScript] = @AgentScript WHERE [ListId] = @ListId">
        <DeleteParameters>
            <asp:Parameter Name="ListId" Type="Int32" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="CampaignId" Type="Int32" />
            <asp:Parameter Name="ListName" Type="String" />
            <asp:Parameter Name="StartDate" Type="DateTime" />
            <asp:Parameter Name="EndDate" Type="DateTime" />
            <asp:Parameter Name="Status" Type="String" />
            <asp:Parameter Name="SqlQuery" Type="String" />
            <asp:Parameter Name="FilterText" Type="String" />
            <asp:Parameter Name="AgentScript" Type="String" />
        </InsertParameters>
        <SelectParameters>
            <asp:SessionParameter Name="CampaignId" SessionField="CampaignId" Type="Int32" />
        </SelectParameters>
        <UpdateParameters>
            <asp:Parameter Name="ListId" Type="Int32" />
            <asp:Parameter Name="CampaignId" Type="Int32" />
            <asp:Parameter Name="ListName" Type="String" />
            <asp:Parameter Name="StartDate" Type="DateTime" />
            <asp:Parameter Name="EndDate" Type="DateTime" />
            <asp:Parameter Name="Status" Type="String" />
            <asp:Parameter Name="SqlQuery" Type="String" />
            <asp:Parameter Name="FilterText" Type="String" />
            <asp:Parameter Name="AgentScript" Type="String" />
        </UpdateParameters>
    </asp:SqlDataSource>

    <!-- Lookup datasource -->
    <asp:SqlDataSource ID="dsLookup" runat="server" ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE ([LookupType] = @LookupType) ORDER BY [LookupDisplay]">
        <SelectParameters>
            <asp:Parameter DefaultValue="CS" Name="LookupType" Type="String" />
        </SelectParameters>
    </asp:SqlDataSource>

    <!-- Contacts Data Source -->
    <asp:SqlDataSource ID="dsContacts" runat="server" ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        DeleteCommand="DELETE FROM [Contacts] WHERE [ContactId] = @ContactId"
        InsertCommand="INSERT INTO [Contacts] ([Name], [Contact], [Buyer], [Caller], [Address], [Address2], [City], [State], [ZipCode], [Country], [Phone], [PhoneExt], [Phone2], [Phone2Ext], [Mobile], [Fax], [Email], [Email2], [Class], [EndDate], [PriorAd], [Operator], [Territory], [AdNumber], [AcctNumber], [ListName], [ListDate], [ImportDate], [DoNotContact], [BuyingStatus], [Private], [PriorityNotes], [FirstOrder], [LastOrder], [LastContact] ) VALUES (@Name, @Contact, @Buyer, @Caller, @Address, @Address2, @City, @State, @ZipCode, @Country, @Phone, @PhoneExt, @Phone2, @Phone2Ext, @Mobile, @Fax, @Email, @Email2, @Class, @EndDate, @PriorAd, @Operator, @Territory, @AdNumber, @AcctNumber, @ListName, @ListDate, @ImportDate, @DoNotContact, @BuyingStatus, @Private, @PriorityNotes, @FirstOrder, @LastOrder, @LastContact)"
        SelectCommand="SELECT * FROM [Contacts]"
        UpdateCommand="UPDATE [Contacts] SET [Name] = @Name, [Contact] = @Contact, [Buyer] = @Buyer, [Caller] = @Caller, [Address] = @Address, [Address2] = @Address2, [City] = @City, [State] = @State, [ZipCode] = @ZipCode, [Country] = @Country, [Phone] = @Phone, [PhoneExt] = @PhoneExt, [Phone2] = @Phone2, [Phone2Ext] = @Phone2Ext, [Mobile] = @Mobile, [Fax] = @Fax, [Email] = @Email, [Email2] = @Email2, [Class] = @Class, [EndDate] = @EndDate, [PriorAd] = @PriorAd, [Operator] = @Operator, [Territory] = @Territory, [AdNumber] = @AdNumber, [AcctNumber] = @AcctNumber, [ListName] = @ListName, [ListDate] = @ListDate, [ImportDate] = @ImportDate, [DoNotContact] = @DoNotContact, [BuyingStatus] = @BuyingStatus, [Private] = @Private, [PriorityNotes] = @PriorityNotes, [FirstOrder] = @FirstOrder, [LastOrder] = @LastOrder, [LastContact] = @LastContact WHERE [ContactId] = @ContactId">
        <DeleteParameters>
            <asp:Parameter Name="ContactId" Type="Int32" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="Name" Type="String" />
            <asp:Parameter Name="Contact" Type="String" />
            <asp:Parameter Name="Buyer" Type="String" />
            <asp:Parameter Name="Caller" Type="String" />
            <asp:Parameter Name="Address" Type="String" />
            <asp:Parameter Name="Address2" Type="String" />
            <asp:Parameter Name="City" Type="String" />
            <asp:Parameter Name="State" Type="String" />
            <asp:Parameter Name="ZipCode" Type="String" />
            <asp:Parameter Name="Country" Type="String" />
            <asp:Parameter Name="Phone" Type="String" />
            <asp:Parameter Name="PhoneExt" Type="String" />
            <asp:Parameter Name="Phone2" Type="String" />
            <asp:Parameter Name="Phone2Ext" Type="String" />
            <asp:Parameter Name="Mobile" Type="String" />
            <asp:Parameter Name="Fax" Type="String" />
            <asp:Parameter Name="Email" Type="String" />
            <asp:Parameter Name="Email2" Type="String" />
            <asp:Parameter Name="Class" Type="String" />
            <asp:Parameter Name="EndDate" Type="String" />
            <asp:Parameter Name="PriorAd" Type="String" />
            <asp:Parameter Name="Operator" Type="String" />
            <asp:Parameter Name="Territory" Type="String" />
            <asp:Parameter Name="AdNumber" Type="String" />
            <asp:Parameter Name="AcctNumber" Type="String" />
            <asp:Parameter Name="ListName" Type="String" />
            <asp:Parameter Name="ListDate" Type="DateTime" />
            <asp:Parameter Name="ImportDate" Type="DateTime" />
            <asp:Parameter Name="DoNotContact" Type="Boolean" />
            <asp:Parameter Name="BuyingStatus" Type="String" />
            <asp:Parameter Name="Private" Type="Boolean" />
            <asp:Parameter Name="PriorityNotes" Type="String" />
            <asp:Parameter Name="FirstOrder" Type="DateTime" />
            <asp:Parameter Name="LastOrder" Type="DateTime" />
            <asp:Parameter Name="LastContact" Type="DateTime" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="Name" Type="String" />
            <asp:Parameter Name="Contact" Type="String" />
            <asp:Parameter Name="Buyer" Type="String" />
            <asp:Parameter Name="Caller" Type="String" />
            <asp:Parameter Name="Address" Type="String" />
            <asp:Parameter Name="Address2" Type="String" />
            <asp:Parameter Name="City" Type="String" />
            <asp:Parameter Name="State" Type="String" />
            <asp:Parameter Name="ZipCode" Type="String" />
            <asp:Parameter Name="Country" Type="String" />
            <asp:Parameter Name="Phone" Type="String" />
            <asp:Parameter Name="PhoneExt" Type="String" />
            <asp:Parameter Name="Phone2" Type="String" />
            <asp:Parameter Name="Phone2Ext" Type="String" />
            <asp:Parameter Name="Mobile" Type="String" />
            <asp:Parameter Name="Fax" Type="String" />
            <asp:Parameter Name="Email" Type="String" />
            <asp:Parameter Name="Email2" Type="String" />
            <asp:Parameter Name="Class" Type="String" />
            <asp:Parameter Name="EndDate" Type="String" />
            <asp:Parameter Name="PriorAd" Type="String" />
            <asp:Parameter Name="Operator" Type="String" />
            <asp:Parameter Name="Territory" Type="String" />
            <asp:Parameter Name="AdNumber" Type="String" />
            <asp:Parameter Name="AcctNumber" Type="String" />
            <asp:Parameter Name="ListName" Type="String" />
            <asp:Parameter Name="ListDate" Type="DateTime" />
            <asp:Parameter Name="ImportDate" Type="DateTime" />
            <asp:Parameter Name="DoNotContact" Type="Boolean" />
            <asp:Parameter Name="BuyingStatus" Type="String" />
            <asp:Parameter Name="Private" Type="Boolean" />
            <asp:Parameter Name="PriorityNotes" Type="String" />
            <asp:Parameter Name="FirstOrder" Type="DateTime" />
            <asp:Parameter Name="LastOrder" Type="DateTime" />
            <asp:Parameter Name="LastContact" Type="DateTime" />
            <asp:Parameter Name="ContactId" Type="Int32" />
        </UpdateParameters>
    </asp:SqlDataSource>
</asp:Content>
