﻿<%@ Page Title="Contacts" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Contacts.aspx.cs" Inherits="Surveyor.Website.Contacts" %>

<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>
<%@ MasterType VirtualPath="~/Site.master" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
     <style type="text/css">
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-activeTab,
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-tab, 
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-leftIndent, 
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-spacer, 
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-rightIndent,
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-sbWrapper, 
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-sbIndent,
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-sbSpacer {
            border-bottom:none !important; 
        }
    </style> 
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <div class="shadow" style="border: 1px solid gray; padding: 15px; margin: 0 auto; margin-top: 20px; overflow: visible; width: 835px; height: 435px;">

        <asp:UpdatePanel ID="upHeader" runat="server" UpdateMode="Always">
            <ContentTemplate>
                <dx:ASPxLabel ID="lblContactId" runat="server" Visible="false" />
                <dx:ASPxLabel ID="lblNameTitle" runat="server" Text="Add / Search" Font-Size="Large" ForeColor="DarkOrange" />
                <div style="float: right;">
                    <table>
                        <tr>
                            <td>
                                <dx:ASPxLabel ID="lblAccount" runat="server" Text="Account:" />
                            </td>
                            <td>
                                <dx:ASPxTextBox ID="tbAcctNumber" runat="server" Width="75" />
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <dx:ASPxLabel ID="lblDoNotContact" runat="server" Text="Do Not Contact:" />
                            </td>
                            <td>
                                <dx:ASPxCheckBox ID="chkDoNotContact" runat="server" />
                            </td>
                            <td>&nbsp;</td>
                            <td>
                                <dx:ASPxLabel ID="lblPrivate" runat="server" Text="Private:" />
                            </td>
                            <td>
                                <dx:ASPxCheckBox ID="chkPrivate" runat="server" />
                            </td>
                        </tr>
                    </table>
                </div>
            </ContentTemplate>
        </asp:UpdatePanel>

        <div style="width: 100%;">
            <asp:UpdatePanel ID="upContact" runat="server">
                <ContentTemplate>
                    <dx:ASPxPageControl ID="ASPxPageControl1" runat="server" Width="100%" ActiveTabIndex="1" AutoPostBack="true">
                        <TabPages>
                            <dx:TabPage Text="Contact">
                                <ContentCollection>
                                    <dx:ContentControl>
                                        <div style="float: left;">
                                            <!-- Address -->
                                            <dx:ASPxRoundPanel ID="rpAddress" runat="server" Width="560px" ShowHeader="false" Theme="DevEx">
                                                <PanelCollection>
                                                    <dx:PanelContent>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblName" runat="server" Text="Company:" />
                                                                </td>
                                                                <td colspan="7">
                                                                    <dx:ASPxTextBox ID="tbName" runat="server" Width="450" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblContact" runat="server" Text="Owner:" />
                                                                </td>
                                                                <td colspan="7">
                                                                    <dx:ASPxTextBox ID="tbContact" runat="server" Width="450" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblBuyer" runat="server" Text="Buyer:" />
                                                                </td>
                                                                <td colspan="7">
                                                                    <dx:ASPxTextBox ID="tbBuyer" runat="server" Width="450" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblCaller" runat="server" Text="Caller:" />
                                                                </td>
                                                                <td colspan="7">
                                                                    <dx:ASPxTextBox ID="tbCaller" runat="server" Width="450" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblAddress" runat="server" Text="Address 1:" Width="70" />
                                                                </td>
                                                                <td colspan="7">
                                                                    <dx:ASPxTextBox ID="tbAddress" runat="server" Width="450" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblAddress2" runat="server" Text="Address 2:" />
                                                                </td>
                                                                <td colspan="7">
                                                                    <dx:ASPxTextBox ID="tbAddress2" runat="server" Width="450" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblCity" runat="server" Text="City:" />
                                                                </td>
                                                                <td>
                                                                    <dx:ASPxTextBox ID="tbCity" runat="server" Width="122" />
                                                                </td>
                                                                <td>&nbsp;</td>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblState" runat="server" Text="State:" />
                                                                </td>
                                                                <td>
                                                                    <dx:ASPxTextBox ID="tbState" runat="server" Width="135" />
                                                                </td>
                                                                <td>&nbsp;</td>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblZipCode" runat="server" Text="Zip Code:" />
                                                                </td>
                                                                <td>
                                                                    <dx:ASPxTextBox ID="tbZipCode" runat="server" Width="80" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblCountry" runat="server" Text="Country:" />
                                                                </td>
                                                                <td colspan="7">
                                                                    <dx:ASPxTextBox ID="tbCountry" runat="server" Width="450" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </dx:PanelContent>
                                                </PanelCollection>
                                            </dx:ASPxRoundPanel>
                                            <br />
                                            <!-- Contact -->
                                            <dx:ASPxRoundPanel ID="rpContact" runat="server" Width="560px" ShowHeader="false" Theme="DevEx">
                                                <PanelCollection>
                                                    <dx:PanelContent>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblEmail" runat="server" Text="Email 1:" />
                                                                </td>
                                                                <td colspan="2">
                                                                    <dx:ASPxTextBox ID="tbEmail" runat="server" Width="205" />
                                                                </td>
                                                                <td>&nbsp;</td>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblEmail2" runat="server" Text="Email 2:" />
                                                                </td>
                                                                <td>
                                                                    <dx:ASPxTextBox ID="tbEmail2" runat="server" Width="200" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td colspan="6"></td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblPhone" runat="server" Text="Phone 1:" />
                                                                </td>
                                                                <td>
                                                                    <dx:ASPxTextBox ID="tbPhone" runat="server" Width="142" />
                                                                </td>
                                                                <td>
                                                                    <dx:ASPxTextBox ID="tbPhoneExt" runat="server" Width="50" />
                                                                </td>
                                                                <td>&nbsp;</td>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblMobile" runat="server" Text="Mobile:" />
                                                                </td>
                                                                <td>
                                                                    <dx:ASPxTextBox ID="tbMobile" runat="server" Width="120" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblPhone2" runat="server" Text="Phone 2:" />
                                                                </td>
                                                                <td>
                                                                    <dx:ASPxTextBox ID="tbPhone2" runat="server" Width="142" />
                                                                </td>
                                                                <td>
                                                                    <dx:ASPxTextBox ID="tbPhone2Ext" runat="server" Width="50" />
                                                                </td>
                                                                <td>&nbsp;</td>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblFax" runat="server" Text="Fax:" />
                                                                </td>
                                                                <td>
                                                                    <dx:ASPxTextBox ID="tbFax" runat="server" Width="120" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </dx:PanelContent>
                                                </PanelCollection>
                                            </dx:ASPxRoundPanel>
                                        </div>
                                        <div style="float: right;">

                                            <dx:ASPxLabel ID="lblPriorityNotes" runat="server" Text="Priority Notes" />
                                            <br />
                                            <dx:ASPxMemo ID="tbPriorityNotes" runat="server" Width="235" Height="100px" />
                                            <br />

                                            <!-- Misc -->
                                            <dx:ASPxRoundPanel ID="rpAttributes" runat="server" Width="235px" ShowHeader="false" Theme="DevEx">
                                                <PanelCollection>
                                                    <dx:PanelContent>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <dx:ASPxLabel runat="server" ID="lblFirstOrder" Text="First Order:" Wrap="False" />
                                                                </td>
                                                                <td>
                                                                    <dx:ASPxDateEdit ID="deFirstOrder" runat="server" Width="100%" AllowNull="true"
                                                                        EditFormat="DateTime" NullText="" EditFormatString="g" UseMaskBehavior="True" DisplayFormatString="g">
                                                                        <TimeSectionProperties Visible="true">
                                                                            <TimeEditProperties Width="100" EditFormatString="hh:mm tt" />
                                                                        </TimeSectionProperties>
                                                                    </dx:ASPxDateEdit>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <dx:ASPxLabel runat="server" ID="lblLastOrder" Text="Last Order:" Wrap="False" />
                                                                </td>
                                                                <td>
                                                                    <dx:ASPxDateEdit ID="deLastOrder" runat="server" Width="100%" AllowNull="true"
                                                                        EditFormat="DateTime" NullText="" EditFormatString="g" UseMaskBehavior="True" DisplayFormatString="g">
                                                                        <TimeSectionProperties Visible="true">
                                                                            <TimeEditProperties Width="100" EditFormatString="hh:mm tt" />
                                                                        </TimeSectionProperties>
                                                                    </dx:ASPxDateEdit>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <dx:ASPxLabel runat="server" ID="lblLastContact" Text="Last Contact:" Wrap="False" />
                                                                </td>
                                                                <td>
                                                                    <dx:ASPxDateEdit ID="deLastContact" runat="server" Width="100%" AllowNull="true"
                                                                        EditFormat="DateTime" NullText="" EditFormatString="g" UseMaskBehavior="True" DisplayFormatString="g">
                                                                        <TimeSectionProperties Visible="true">
                                                                            <TimeEditProperties Width="100" EditFormatString="hh:mm tt" />
                                                                        </TimeSectionProperties>
                                                                    </dx:ASPxDateEdit>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblClass" runat="server" Text="Class:" Wrap="False" />
                                                                </td>
                                                                <td>
                                                                    <dx:ASPxComboBox
                                                                        ID="cbClass"
                                                                        runat="server"
                                                                        Width="100%"
                                                                        DataSourceID="sdsClass"
                                                                        ValueField="LookupValue"
                                                                        ValueType="System.String"
                                                                        TextField="LookupDisplay" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblBuyingStatus" runat="server" Text="Status:" Wrap="False" />
                                                                </td>
                                                                <td>
                                                                    <dx:ASPxComboBox
                                                                        ID="cbBuyingStatus"
                                                                        runat="server"
                                                                        Width="100%"
                                                                        DataSourceID="sdsBuying"
                                                                        ValueField="LookupValue"
                                                                        ValueType="System.String"
                                                                        TextField="LookupDisplay" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <dx:ASPxLabel ID="lblTerritory" runat="server" Text="Territory:" Wrap="False" />
                                                                </td>
                                                                <td>
                                                                    <dx:ASPxComboBox
                                                                        ID="cbTerritory"
                                                                        runat="server"
                                                                        Width="100%"
                                                                        DataSourceID="sdsTerritory"
                                                                        ValueField="LookupValue"
                                                                        ValueType="System.String"
                                                                        TextField="LookupDisplay" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </dx:PanelContent>
                                                </PanelCollection>
                                            </dx:ASPxRoundPanel>
                                        </div>
                                        <div style="float: right; padding-top: 10px;">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <dx:ASPxButton ID="btnSearch" runat="server" CausesValidation="False" OnClick="btnSearch_Click" ToolTip="Search Contacts" Image-IconID="zoom_zoom_16x16" />
                                                    </td>
                                                    <td>
                                                        <dx:ASPxButton ID="btnClear" runat="server" CausesValidation="False" OnClick="btnClear_Click" ToolTip="Clear Contact" Image-IconID="actions_clear_16x16" />
                                                    </td>
                                                    <td>
                                                        <dx:ASPxButton ID="btnUpdate" runat="server" CausesValidation="True" OnClick="btnSave_Click" ToolTip="Save Contact" Image-IconID="save_save_16x16" />
                                                    </td>
                                                    <td>
                                                        <dx:ASPxButton ID="btnDelete" runat="server" CausesValidation="False" OnClick="btnDelete_Click" ToolTip="Delete Contact" Image-IconID="edit_delete_16x16" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </dx:ContentControl>
                                </ContentCollection>
                            </dx:TabPage>
                            <dx:TabPage Text="History">
                                <ContentCollection>
                                    <dx:ContentControl>
                                        <dx:ASPxGridView
                                            ID="gvNotes"
                                            runat="server"
                                            AutoGenerateColumns="False"
                                            DataSourceID="sdsNotes"
                                            KeyFieldName="NoteId"
                                            PreviewFieldName="Note"
                                            Width="100%"
                                            EnableRowsCache="False"
                                            OnRowInserting="gvNotes_RowInserting"
                                            OnCommandButtonInitialize="gvNotes_CommandButtonInitialize">
                                            <Columns>
                                                <dx:GridViewCommandColumn
                                                    ShowInCustomizationForm="True"
                                                    ButtonType="Image"
                                                    VisibleIndex="0"
                                                    Width="45"
                                                    ShowNewButtonInHeader="true"
                                                    ShowEditButton="True"
                                                    ShowDeleteButton="true"
                                                    ShowCancelButton="true"
                                                    ShowUpdateButton="true" />
                                                <dx:GridViewDataTextColumn FieldName="NoteId" ReadOnly="True" Visible="false" VisibleIndex="1" />
                                                <dx:GridViewDataTextColumn FieldName="ContactId" Visible="false" VisibleIndex="2" />
                                                <dx:GridViewDataDateColumn FieldName="NoteDate" ShowInCustomizationForm="false" VisibleIndex="3" Width="150px">

                                                    <PropertiesDateEdit EditFormatString="g" DisplayFormatString="g">
                                                        <TimeSectionProperties>
                                                            <TimeEditProperties Width="100" EditFormatString="hh:mm tt" />
                                                        </TimeSectionProperties>
                                                    </PropertiesDateEdit>

                                                </dx:GridViewDataDateColumn>

                                                <dx:GridViewDataTextColumn FieldName="AgentExt" ShowInCustomizationForm="false" VisibleIndex="4" Width="75px" />
                                                <dx:GridViewDataTextColumn FieldName="AgentName" ShowInCustomizationForm="False" VisibleIndex="4" />
                                            </Columns>
                                            <Templates>
                                                <PreviewRow>
                                                    <dx:ASPxLabel ID="lblNote" runat="server" Text='<%# Container.Text %>' Width="100%" />
                                                </PreviewRow>
                                                <EditForm>
                                                    <dx:ASPxMemo ID="lblNote" runat="server" Text='<%# Bind("Note") %>' Width="100%" Height="93px" />
                                                    <div style="text-align: right; padding: 2px">
                                                        <dx:ASPxGridViewTemplateReplacement ID="UpdateButton" runat="server" ReplacementType="EditFormUpdateButton" />
                                                        <dx:ASPxGridViewTemplateReplacement ID="CancelButton" runat="server" ReplacementType="EditFormCancelButton" />
                                                    </div>
                                                </EditForm>
                                            </Templates>
                                            <Styles Row-BackColor="WhiteSmoke" />
                                            <SettingsCommandButton
                                                NewButton-Image-IconID="actions_add_16x16"
                                                EditButton-Image-IconID="edit_edit_16x16"
                                                UpdateButton-Image-IconID="save_save_16x16"
                                                CancelButton-Image-IconID="actions_cancel_16x16"
                                                DeleteButton-Image-IconID="edit_delete_16x16" />
                                            <Settings
                                                ShowFilterRow="True"
                                                ShowPreview="true"
                                                VerticalScrollableHeight="300"
                                                VerticalScrollBarMode="auto" />
                                        </dx:ASPxGridView>
                                    </dx:ContentControl>
                                </ContentCollection>
                            </dx:TabPage>
                            <dx:TabPage Text="Qualification">
                                <ContentCollection>
                                    <dx:ContentControl>
                                        <dx:ASPxRoundPanel ID="rpQualification" runat="server" Width="355px" Height="180px" ShowHeader="false" Theme="DevEx">
                                            <PanelCollection>
                                                <dx:PanelContent>
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <dx:ASPxLabel ID="lblHome" runat="server" Text="Home owner:" Width="50px" Wrap="False" />
                                                            </td>
                                                            <td>
                                                                <dx:ASPxComboBox
                                                                    ID="cbHome"
                                                                    runat="server"
                                                                    Width="100%"
                                                                    DataSourceID="sdsHomeOwner"
                                                                    ValueField="LookupValue"
                                                                    ValueType="System.String"
                                                                    TextField="LookupDisplay" />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <dx:ASPxLabel ID="lblQuarter" runat="server" Text="Quarterly spend:" />
                                                            </td>
                                                            <td>
                                                                <dx:ASPxComboBox
                                                                    ID="spnCurrency"
                                                                    runat="server"
                                                                    Width="100%"
                                                                    DataSourceID="sdsQuarterlyspend"
                                                                    ValueField="LookupValue"
                                                                    ValueType="System.String"
                                                                    TextField="LookupDisplay" />
                                                                <%-- <dx:ASPxSpinEdit ID="spnCurrency" runat="server" MinValue="0" MaxValue="9999999999" DisplayFormatString="c2"></dx:ASPxSpinEdit>--%>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <dx:ASPxLabel ID="lblHouse" runat="server" Text="House Built Prior to 2012:" Wrap="False" />
                                                            </td>
                                                            <td>
                                                                <dx:ASPxComboBox
                                                                    ID="cbHouse"
                                                                    runat="server"
                                                                    Width="100%"
                                                                    DataSourceID="sdsHouseBuilt"
                                                                    ValueField="LookupValue"
                                                                    ValueType="System.String"
                                                                    TextField="LookupDisplay" />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <dx:ASPxLabel ID="lblTime" runat="server" Text="Time at Residence:" Wrap="False" />
                                                            </td>
                                                            <td>
                                                                <dx:ASPxComboBox
                                                                    ID="cbTime"
                                                                    runat="server"
                                                                    Width="100%"
                                                                    DataSourceID="sdsTimeAtResidence"
                                                                    ValueField="LookupValue"
                                                                    ValueType="System.String"
                                                                    TextField="LookupDisplay" />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <dx:ASPxLabel ID="lblElectricity" runat="server" Text="Electricity Bill Conc Rating:" Wrap="False" />
                                                            </td>
                                                            <td>
                                                                <dx:ASPxComboBox
                                                                    ID="cbElectricity"
                                                                    runat="server"
                                                                    Width="100%"
                                                                    DataSourceID="sdsElectricityBill"
                                                                    ValueField="LookupValue"
                                                                    ValueType="System.String"
                                                                    TextField="LookupDisplay" />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <dx:ASPxLabel runat="server" ID="lblBestTime" Text="Best Time to Call:" Wrap="False" />
                                                            </td>
                                                            <td>
                                                                <dx:ASPxComboBox
                                                                    ID="cbBestTime"
                                                                    runat="server"
                                                                    Width="100%"
                                                                    DataSourceID="sdsBestTimeToCall"
                                                                    ValueField="LookupValue"
                                                                    ValueType="System.String"
                                                                    TextField="LookupDisplay" />
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </dx:PanelContent>
                                            </PanelCollection>
                                        </dx:ASPxRoundPanel>
                                    </dx:ContentControl>
                                </ContentCollection>
                            </dx:TabPage>

                        </TabPages>
                    </dx:ASPxPageControl>
                </ContentTemplate>
            </asp:UpdatePanel>
        </div>
    </div>

    <asp:UpdatePanel ID="upMsgBox" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <dx:ASPxPopupControl
                ID="pcMsgBox"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcMsgBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px"
                Theme="DevEx">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 40px;">
                                    <dx:ASPxImage ID="iIcon" runat="server" ImageUrl="~/Images/Info.png" />
                                </td>
                                <td>
                                    <dx:ASPxLabel ID="lblMsg" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width: 65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnOK" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcMsgBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:UpdatePanel ID="upChoiceBox" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <dx:ASPxPopupControl
                ID="pcChoiceBox"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcChoiceBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px"
                Theme="DevEx">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 40px;">
                                    <dx:ASPxImage ID="iChoiceImage" runat="server" ImageUrl="~/Images/Info.png" />
                                </td>
                                <td>
                                    <dx:ASPxLabel ID="lblChoiceBodyText" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                </td>
                            </tr>
                        </table>
                        <br />
                        <br />
                        <table style="width: 100%">
                            <tr>
                                <td>
                                    <div style="width: 65px; float: right">
                                        <dx:ASPxButton ID="btnYes" runat="server" Text="Yes" Width="65px" OnClick="btnYes_Click">
                                            <ClientSideEvents Click="function(s, e) { pcChoiceBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                                <td style="width: 10px">&nbsp;</td>
                                <td>
                                    <div style="width: 65px; float: left">
                                        <dx:ASPxButton ID="btnNo" runat="server" Text="No" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcChoiceBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:UpdatePanel ID="upSearchResults" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <dx:ASPxPopupControl
                ID="pcSearchResults"
                runat="server"
                MinWidth="550px"
                HeaderText="Search Results"
                ClientInstanceName="pcSearchResults"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px"
                Theme="DevEx">
                <ContentCollection>
                    <%--OnFocusedRowChanged="gvSearchResults_FocusedRowChanged" --%>
                    <dx:PopupControlContentControl>
                        <dx:ASPxGridView
                            ID="gvSearchResults"
                            runat="server"
                            Visible="true"
                            EnableCallBacks="false"
                            AutoGenerateColumns="False"
                            DataSourceID="sdsSearchResults"
                            KeyFieldName="ContactId"
                            Settings-ShowHorizontalScrollBar="true"
                            Width="100%">
                            <Columns>
                                <dx:GridViewDataTextColumn FieldName="ContactId" VisibleIndex="1" Visible="False" ReadOnly="True" />
                                <dx:GridViewDataTextColumn FieldName="Name" VisibleIndex="2" Caption="Name" Width="150px" />
                                <dx:GridViewDataTextColumn FieldName="Contact" VisibleIndex="3" Caption="Owner" Width="150px" />
                                <dx:GridViewDataTextColumn FieldName="Buyer" VisibleIndex="4" Caption="Buyer" Width="150px" />
                                <dx:GridViewDataTextColumn FieldName="Address" VisibleIndex="5" Caption="Address 1" Width="200px" />
                                <dx:GridViewDataTextColumn FieldName="Address2" VisibleIndex="6" Caption="Address 2" Width="200px" />
                                <dx:GridViewDataTextColumn FieldName="City" VisibleIndex="7" Caption="City" Width="150px" />
                                <dx:GridViewDataTextColumn FieldName="State" VisibleIndex="8" Caption="State" Width="50px" />
                                <dx:GridViewDataTextColumn FieldName="ZipCode" VisibleIndex="9" Caption="Zip Code" Width="90px" />
                            </Columns>
                            <SettingsPager
                                PageSize="15" />
                            <SettingsBehavior
                                ColumnResizeMode="NextColumn"
                                ProcessFocusedRowChangedOnServer="true"
                                AllowSelectSingleRowOnly="true"
                                AllowFocusedRow="true" />
                            <%--<Styles
                                AlternatingRow-BackColor="WhiteSmoke" />--%>
                        </dx:ASPxGridView>
                        <br />
                        <br />
                        <dx:ASPxButton ID="btnSearchResultSelect" runat="server" Text="OK" Width="65px" AutoPostBack="true" OnClick="btnSearchResultSelect_Click" />
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:SqlDataSource ID="sdsNotes" runat="server"
        ConnectionString="<%$ ConnectionStrings:3CXSurveyorConnectionString %>"
        DeleteCommand="DELETE FROM [Notes] WHERE [NoteId] = @NoteId"
        InsertCommand="INSERT INTO [Notes] ([ContactId], [Note], [NoteDate], [AgentExt], [AgentName]) VALUES (@ContactId, @Note, @NoteDate, @AgentExt, @AgentName)"
        SelectCommand="SELECT * FROM [Notes] WHERE ContactId = @ContactId ORDER BY [NoteDate] DESC"
        UpdateCommand="UPDATE [Notes] SET [ContactId] = @ContactId, [Note] = @Note, [NoteDate] = @NoteDate, [AgentExt] = @AgentExt, [AgentName] = @AgentName WHERE [NoteId] = @NoteId">
        <SelectParameters>
            <asp:SessionParameter Name="ContactId" DefaultValue="0" SessionField="ContactId" />
        </SelectParameters>
        <DeleteParameters>
            <asp:Parameter Name="NoteId" Type="Int64" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="ContactId" Type="Int64" />
            <asp:Parameter Name="Note" Type="String" />
            <asp:Parameter Name="NoteDate" Type="DateTime" />
            <asp:Parameter Name="AgentExt" Type="Int32" />
            <asp:Parameter Name="AgentName" Type="String" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="ContactId" Type="Int64" />
            <asp:Parameter Name="Note" Type="String" />
            <asp:Parameter Name="NoteDate" Type="DateTime" />
            <asp:Parameter Name="AgentExt" Type="Int32" />
            <asp:Parameter Name="AgentName" Type="String" />
            <asp:Parameter Name="NoteId" Type="Int64" />
        </UpdateParameters>
    </asp:SqlDataSource>


    <asp:SqlDataSource ID="sdsContacts" runat="server"
        OnInserted="sdsContacts_Inserted"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %> "
        SelectCommand="SELECT * FROM [Contacts]"
        DeleteCommand="DELETE FROM [Contacts] WHERE [ContactId] = @ContactId"
        InsertCommand="INSERT INTO [Contacts] ([Name], [Contact], [Buyer], [Caller], [Address], [Address2], [City], [State], [ZipCode], [Country], [Phone], [PhoneExt], [Phone2], [Phone2Ext], [Mobile], [Fax], [Email], [Email2], [Class], [EndDate], [PriorAd], [Operator], [Territory], [AdNumber], [AcctNumber], [ListName], [ListDate], [ImportDate], [DoNotContact], [BuyingStatus], [Private], [PriorityNotes], [FirstOrder], [LastOrder], [LastContact],[CreatedDate], [CreatedBy]) VALUES (@Name, @Contact, @Buyer, @Caller, @Address, @Address2, @City, @State, @ZipCode, @Country, @Phone, @PhoneExt, @Phone2, @Phone2Ext, @Mobile, @Fax, @Email, @Email2, @Class, @EndDate, @PriorAd, @Operator, @Territory, @AdNumber, @AcctNumber, @ListName, @ListDate, @ImportDate, @DoNotContact, @BuyingStatus, @Private, @PriorityNotes, @FirstOrder, @LastOrder, @LastContact, @CreatedDate, @CreatedBy); SET @NewId = Scope_Identity()"
        UpdateCommand="UPDATE [Contacts] SET [Name] = @Name, [Contact] = @Contact, [Buyer] = @Buyer, [Caller] = @Caller, [Address] = @Address, [Address2] = @Address2, [City] = @City, [State] = @State, [ZipCode] = @ZipCode, [Country] = @Country, [Phone] = @Phone, [PhoneExt] = @PhoneExt, [Phone2] = @Phone2, [Phone2Ext] = @Phone2Ext, [Mobile] = @Mobile, [Fax] = @Fax, [Email] = @Email, [Email2] = @Email2, [Class] = @Class, [EndDate] = @EndDate, [PriorAd] = @PriorAd, [Operator] = @Operator, [Territory] = @Territory, [AdNumber] = @AdNumber, [AcctNumber] = @AcctNumber, [ListName] = @ListName, [ListDate] = @ListDate, [ImportDate] = @ImportDate, [DoNotContact] = @DoNotContact, [BuyingStatus] = @BuyingStatus, [Private] = @Private, [PriorityNotes] = @PriorityNotes, [FirstOrder] = @FirstOrder, [LastOrder] = @LastOrder, [LastContact] = @LastContact, [Cust_Bool1] = @Cust_Bool1, [Cust_Text1] = @Cust_Text1, [Cust_Bool2] = @Cust_Bool2, [Cust_Text2] = @Cust_Text2, [Cust_Number1] = @Cust_Number1, [Cust_Text3] = @Cust_Text3  WHERE [ContactId] = @ContactId">
        <DeleteParameters>
            <asp:Parameter Name="ContactId" Type="Int64" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="Name" Type="String" />
            <asp:Parameter Name="Contact" Type="String" />
            <asp:Parameter Name="Buyer" Type="String" />
            <asp:Parameter Name="Caller" Type="String" />
            <asp:Parameter Name="Address" Type="String" />
            <asp:Parameter Name="Address2" Type="String" />
            <asp:Parameter Name="City" Type="String" />
            <asp:Parameter Name="State" Type="String" />
            <asp:Parameter Name="ZipCode" Type="String" />
            <asp:Parameter Name="Country" Type="String" />
            <asp:Parameter Name="Phone" Type="String" />
            <asp:Parameter Name="PhoneExt" Type="String" />
            <asp:Parameter Name="Phone2" Type="String" />
            <asp:Parameter Name="Phone2Ext" Type="String" />
            <asp:Parameter Name="Mobile" Type="String" />
            <asp:Parameter Name="Fax" Type="String" />
            <asp:Parameter Name="Email" Type="String" />
            <asp:Parameter Name="Email2" Type="String" />
            <asp:Parameter Name="Class" Type="String" />
            <asp:Parameter Name="EndDate" Type="DateTime" />
            <asp:Parameter Name="PriorAd" Type="String" />
            <asp:Parameter Name="Operator" Type="String" />
            <asp:Parameter Name="Territory" Type="String" />
            <asp:Parameter Name="AdNumber" Type="String" />
            <asp:Parameter Name="AcctNumber" Type="String" />
            <asp:Parameter Name="ListName" Type="String" />
            <asp:Parameter Name="ListDate" Type="DateTime" />
            <asp:Parameter Name="ImportDate" Type="DateTime" />
            <asp:Parameter Name="DoNotContact" Type="Boolean" />
            <asp:Parameter Name="BuyingStatus" Type="String" />
            <asp:Parameter Name="Private" Type="Boolean" />
            <asp:Parameter Name="PriorityNotes" Type="String" />
            <asp:Parameter Name="FirstOrder" Type="DateTime" />
            <asp:Parameter Name="LastOrder" Type="DateTime" />
            <asp:Parameter Name="LastContact" Type="DateTime" />
            <asp:Parameter Name="Cust_Bool1" Type="String" />
            <asp:Parameter Name="Cust_Text1" Type="String" />
            <asp:Parameter Name="Cust_Bool2" Type="String" />
            <asp:Parameter Name="Cust_Text2" Type="String" />
            <asp:Parameter Name="Cust_Number1" Type="Int32" />
            <asp:Parameter Name="Cust_Text3" Type="String" />
            <asp:Parameter Name="CreatedDate" Type="DateTime" />
            <asp:Parameter Name="CreatedBy" Type="String" />
            <asp:Parameter Name="NewId" Type="Int32" Direction="Output" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="Name" Type="String" />
            <asp:Parameter Name="Contact" Type="String" />
            <asp:Parameter Name="Buyer" Type="String" />
            <asp:Parameter Name="Caller" Type="String" />
            <asp:Parameter Name="Address" Type="String" />
            <asp:Parameter Name="Address2" Type="String" />
            <asp:Parameter Name="City" Type="String" />
            <asp:Parameter Name="State" Type="String" />
            <asp:Parameter Name="ZipCode" Type="String" />
            <asp:Parameter Name="Country" Type="String" />
            <asp:Parameter Name="Phone" Type="String" />
            <asp:Parameter Name="PhoneExt" Type="String" />
            <asp:Parameter Name="Phone2" Type="String" />
            <asp:Parameter Name="Phone2Ext" Type="String" />
            <asp:Parameter Name="Mobile" Type="String" />
            <asp:Parameter Name="Fax" Type="String" />
            <asp:Parameter Name="Email" Type="String" />
            <asp:Parameter Name="Email2" Type="String" />
            <asp:Parameter Name="Class" Type="String" />
            <asp:Parameter Name="EndDate" Type="DateTime" />
            <asp:Parameter Name="PriorAd" Type="String" />
            <asp:Parameter Name="Operator" Type="String" />
            <asp:Parameter Name="Territory" Type="String" />
            <asp:Parameter Name="AdNumber" Type="String" />
            <asp:Parameter Name="AcctNumber" Type="String" />
            <asp:Parameter Name="ListName" Type="String" />
            <asp:Parameter Name="ListDate" Type="DateTime" />
            <asp:Parameter Name="ImportDate" Type="DateTime" />
            <asp:Parameter Name="DoNotContact" Type="Boolean" />
            <asp:Parameter Name="BuyingStatus" Type="String" />
            <asp:Parameter Name="Private" Type="Boolean" />
            <asp:Parameter Name="PriorityNotes" Type="String" />
            <asp:Parameter Name="FirstOrder" Type="DateTime" />
            <asp:Parameter Name="LastOrder" Type="DateTime" />
            <asp:Parameter Name="LastContact" Type="DateTime" />
            <asp:Parameter Name="Cust_Bool1" Type="String" />
            <asp:Parameter Name="Cust_Text1" Type="String" />
            <asp:Parameter Name="Cust_Bool2" Type="String" />
            <asp:Parameter Name="Cust_Text2" Type="String" />
            <asp:Parameter Name="Cust_Number1" Type="Int32" />
            <asp:Parameter Name="Cust_Text3" Type="String" />
            <asp:Parameter Name="ContactId" Type="Int64" />
        </UpdateParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsBuying" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE (([LookupType] = @LookupType) AND ([Disable] = @Disable))">
        <SelectParameters>
            <asp:Parameter DefaultValue="BS" Name="LookupType" Type="String" />
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsTerritory" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE (([LookupType] = @LookupType) AND ([Disable] = @Disable))">
        <SelectParameters>
            <asp:Parameter DefaultValue="TE" Name="LookupType" Type="String" />
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsClass" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE (([LookupType] = @LookupType) AND ([Disable] = @Disable))">
        <SelectParameters>
            <asp:Parameter DefaultValue="CL" Name="LookupType" Type="String" />
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsHomeOwner" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE (([LookupType] = @LookupType) AND ([Disable] = @Disable))">
        <SelectParameters>
            <asp:Parameter DefaultValue="HO" Name="LookupType" Type="String" />
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsQuarterlyspend" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE (([LookupType] = @LookupType) AND ([Disable] = @Disable))">
        <SelectParameters>
            <asp:Parameter DefaultValue="QS" Name="LookupType" Type="String" />
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsHouseBuilt" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE (([LookupType] = @LookupType) AND ([Disable] = @Disable))">
        <SelectParameters>
            <asp:Parameter DefaultValue="HB" Name="LookupType" Type="String" />
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsTimeAtResidence" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE (([LookupType] = @LookupType) AND ([Disable] = @Disable))">
        <SelectParameters>
            <asp:Parameter DefaultValue="TR" Name="LookupType" Type="String" />
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsElectricityBill" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE (([LookupType] = @LookupType) AND ([Disable] = @Disable))">
        <SelectParameters>
            <asp:Parameter DefaultValue="EBC" Name="LookupType" Type="String" />
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsBestTimeToCall" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT [LookupValue], [LookupDisplay] FROM [Lookups] WHERE (([LookupType] = @LookupType) AND ([Disable] = @Disable))">
        <SelectParameters>
            <asp:Parameter DefaultValue="BTC" Name="LookupType" Type="String" />
            <asp:Parameter DefaultValue="False" Name="Disable" Type="Boolean" />
        </SelectParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource ID="sdsSearchResults" runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        ProviderName="System.Data.SqlClient"
        SelectCommand="SELECT * FROM [Contacts]"></asp:SqlDataSource>
</asp:Content>
