﻿<%@ Page Title="Login" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Login.aspx.cs" Async="true" Inherits="Surveyor.Website.Login" %>
<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>
<%@ MasterType VirtualPath="~/Site.master" %>
<%@ Register Src="~/Updater.ascx" TagName="UpdaterControl" TagPrefix="Updater" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
         .txtpassword {
        width: 57px;
        border-color: #e0e0e0;
        border-left-color: #e0e0e0;
        border-right-color: #e0e0e0;
        border-left-width: 1px;
        border-top-width: 1px;
        border-right-width: 2px;
        border-bottom-width: 2px;
        border-top-color: #dcdcdcad;
        height: 16px;
        margin-top: 5px;
    }

    .lblrememberme {
        margin-left: -28px;
        color: #a8a8a8;
        padding-right: 4px;
    }
   
    #MainContent_pcLogin_rememberme{
        margin-top: 7px !important;
        width: 17px;
        height: 20px;
        margin-left:-1px !important;
    } 
    #MainContent_pcLogin_RequiredFieldValidator1{
        margin-left:5px;
        padding-top: 7px;
        position:absolute;
    }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div style="float:right;margin-right:5px;">
            <Updater:UpdaterControl 
                ID="Updater" 
                runat="server" 
                DisplayOrentation="Vertical" />
        </div>
    <br />
    <dx:ASPxPopupControl
        ID="pcLogin"
        runat="server" 
        MinWidth="250px"
        HeaderText="Login"
        AllowDragging="true"
        PopupAnimationType="Fade" 
        ShowOnPageLoad="true"
        PopupHorizontalAlign="WindowCenter"
        PopupVerticalAlign="WindowCenter"
        ContentStyle-Paddings-PaddingTop="25px"
        ContentStyle-Paddings-PaddingLeft="25px"
        ContentStyle-Paddings-PaddingRight="25px"
        ContentStyle-Paddings-PaddingBottom="15px"
        ShowCloseButton="false" 
        EnableHierarchyRecreation="false"
        CloseAction="None"
        Theme="DevEx">
        <ContentCollection>
            <dx:PopupControlContentControl>
                <asp:UpdatePanel ID="uplogin" runat="server" >
                    <ContentTemplate>
                <center>
                <table>
                    <tr>
                        <td colspan="2" style="width:100%; text-align:center;" >
                            &nbsp;<dx:ASPxLabel ID="lblError" runat="server" Text="" ForeColor="Red" />
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align:right;" >
                            <dx:ASPxLabel ID="lblExt" runat="server" Text="Extension:" />&nbsp;&nbsp;
                        </td>
                        <td>
                            <div style="width:80px;">
                                <dx:ASPxTextBox 
                                    ID="tbExt" 
                                    runat="server" 
                                    Width="60px" 
                                    ValidationSettings-RequiredField-IsRequired="true" 
                                    ValidationSettings-SetFocusOnError="true" 
                                    ValidationSettings-ValidateOnLeave="true" 
                                    ValidationSettings-RequiredField-ErrorText="&nbsp;" >
                                     <ClientSideEvents Init="function(s,e) { s.Focus(); }" />
                                </dx:ASPxTextBox>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align:right;">
                            <dx:ASPxLabel ID="lblPass" runat="server" Text="PIN:" />&nbsp;&nbsp;
                        </td>
                         <td>
                            <asp:TextBox ID="tbPassword" CausesValidation="true" CssClass="txtpassword" ValidationGroup="submit" runat="server"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" ControlToValidate="tbPassword" runat="server" ValidationGroup="submit" ForeColor="Red" ErrorMessage="Required"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                     <tr>
                        <td style="text-align: right;">
                            <dx:ASPxLabel ID="lblrememberme" CssClass="lblrememberme" runat="server" Text="Remember me:" />&nbsp;
                        </td>
                        <td>
                            <asp:CheckBox ID="rememberme" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" style="text-align:right; padding-top:20px;padding-right: 31px;">
                            <dx:ASPxButton ID="btnLogin" runat="server" AutoPostBack="true" Text="Login" OnClick="btnLogin_Click" />
                        </td>
                    </tr>
                </table>
                </center>
                <br />
                    </ContentTemplate>
                </asp:UpdatePanel>

            </dx:PopupControlContentControl>
        </ContentCollection>
    </dx:ASPxPopupControl>
    
    <asp:UpdatePanel ID="upMsgBox" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <dx:ASPxPopupControl
                ID="pcMsgBox"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcMsgBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px"
                Theme="DevEx">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width:100%;">
                            <tr>
                                <td style="width:40px;"><dx:ASPxImage ID="iIcon" runat="server" ImageUrl="~/Images/Info.png" /></td>
                                <td><dx:ASPxLabel ID="lblMsg" runat="server" Wrap="true" Text="" EncodeHtml="false" /></td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width:65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnOK" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcMsgBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>  

</asp:Content>
