﻿<%@ Page Title="Settings" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" Async="true" CodeBehind="Settings.aspx.cs" Inherits="Surveyor.Website.Settings" %>

<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>
<%@ Register Src="~/WebLicensingControl.ascx" TagPrefix="VoIPToys" TagName="WebLicensingControl" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <script type="text/javascript">
        var command;
        function StartCallBack(s, e) {
            command = e.command;
            if (command == "UPDATEEDIT") {
                load.Show();
            }

        }
        function Endcall(s, e) {
            if (command == "UPDATEEDIT") {
                load.Hide();
                alert("Saved Successfully");
            }
        }
    </script>
    <style type="text/css">
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-activeTab,
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-tab, 
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-leftIndent, 
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-spacer, 
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-rightIndent,
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-sbWrapper, 
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-sbIndent,
        .dxtcLite_Metropolis.dxtc-top > .dxtc-stripContainer .dxtc-sbSpacer {
            border-bottom:none !important; 
        }
    </style> 
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <div style="padding: 0 10px 10px 10px;">

        <dx:ASPxLabel ID="lblSettings" runat="server" Text="Settings" ForeColor="DarkOrange" Font-Size="X-Large" />
        <br />
        <br />

        <dx:ASPxLoadingPanel ID="loadPanel" ClientInstanceName="load" runat="server" HorizontalAlign="Center" />
        <%--<div style="clear:both;"></div>--%>
        <dx:ASPxPageControl ID="tabSettings" runat="server" Width="100%" ActiveTabIndex="0" EnableHierarchyRecreation="false" TabAlign="Center" >

            <TabPages>
                <dx:TabPage Text="Widget">
                    <ContentCollection>
                        <dx:ContentControl ID="ContentControl1" runat="server">
                            <div style="width: 330px; margin: 0 auto; padding-bottom: 10px;">
                                <table>
                                    <tr>
                                        <td>
                                            <dx:ASPxButton ID="btnReloadWidget" runat="server" Text="Reload" Image-IconID="actions_refresh_16x16" Theme="SoftOrange" Width="90px" OnClick="btnReload_Click" />
                                        </td>
                                        <td>&nbsp;</td>
                                        <td>
                                            <dx:ASPxLabel ID="ASPxLabel8" runat="server" Text="Warning!" ForeColor="DarkOrange" Font-Bold="true" />
                                            <dx:ASPxLabel ID="ASPxLabel9" runat="server" Text="Pressing the 'Reload' button will log all users out of Surveyor.  The Reload button will restart the application and display your changes" />
                                        </td>
                                    </tr>
                                </table>
                            </div>


                            <!-- Results GridView -->
                            <div class="shadow" style="width: 330px; margin: 0 auto;">
                                <dx:ASPxGridView
                                    ID="gvWidgets"
                                    runat="server"
                                    AutoGenerateColumns="False"
                                    DataSourceID="sdsWidgetSettings"
                                    KeyFieldName="WidgetID"
                                    Width="330px" EnableCallBacks="true">
                                    <ClientSideEvents BeginCallback="StartCallBack" EndCallback="Endcall" />
                                    <Columns>
                                        <dx:GridViewDataTextColumn FieldName="WidgetID" VisibleIndex="1" Visible="False" ReadOnly="True" />
                                        <dx:GridViewDataCheckColumn FieldName="Enable" VisibleIndex="2" Caption="Enable" ReadOnly="False" Width="95px" />
                                        <dx:GridViewDataTextColumn FieldName="WidgetName" VisibleIndex="3" Caption="Widget" ReadOnly="True" Width="130px" />
                                    </Columns>
                                    <SettingsCommandButton>
                                        <CancelButton Image-IconID="actions_cancel_16x16" ButtonType="Image" Text="Cancel" />
                                        <UpdateButton Image-IconID="save_save_16x16" ButtonType="Image" Text="Save" />
                                    </SettingsCommandButton>
                                    <SettingsEditing Mode="Batch" />
                                    <SettingsBehavior ColumnResizeMode="NextColumn" />
                                    <SettingsPager PageSize="12" />
                                    <Settings ShowHorizontalScrollBar="false" ShowFilterRow="true" ShowTitlePanel="True" />
                                    <Styles  Header-BackColor="DarkOrange" Header-ForeColor="White" 
                                        AlternatingRow-BackColor="WhiteSmoke" TitlePanel-BackColor="DarkOrange" TitlePanel-ForeColor="White" >
                                        <TitlePanel  ForeColor="White"  BackColor="White">

                                        </TitlePanel>
                                    </Styles>

                                    
                                    <SettingsText Title="Widget Settings" />

                                </dx:ASPxGridView>
                            </div>
                        </dx:ContentControl>
                    </ContentCollection>
                </dx:TabPage>
            </TabPages>

            <TabPages>
                <dx:TabPage Text="General">
                    <ContentCollection>
                        <dx:ContentControl ID="ccGeneral" runat="server">

                            <asp:UpdatePanel ID="upGeneral" runat="server">
                                <ContentTemplate>

                                    <div class="shadow" style="width: 800px; margin: 0 auto; margin-top: 20px; padding: 20px; border: 1px solid gray;">

                                        <table style="width: 100%">
                                            <tr>
                                                <td style="width: 400px;">
                                                    <dx:ASPxLabel ID="ASPxLabel4" runat="server" Text="General" ForeColor="DarkOrange" Font-Size="Large" />
                                                    <br />
                                                    <br />

                                                    <table>
                                                        <tr>
                                                            <td style="text-align: right;">
                                                                <dx:ASPxLabel ID="ASPxLabel3" runat="server" Text="Culture:" />
                                                            </td>
                                                            <td>&nbsp;</td>
                                                            <td>
                                                                <dx:ASPxComboBox
                                                                    ID="cbCulture"
                                                                    runat="server"
                                                                    ValueField="key"
                                                                    ValueType="System.String"
                                                                    TextFormatString="{0}"
                                                                    Theme="Metropolis"
                                                                    Width="200px"
                                                                    OnSelectedIndexChanged="cbCulture_ValueChanged"
                                                                    AutoPostBack="false">
                                                                    <Columns>
                                                                        <dx:ListBoxColumn FieldName="key" Width="50px" />
                                                                        <dx:ListBoxColumn FieldName="value" Width="100%" />
                                                                    </Columns>
                                                                </dx:ASPxComboBox>
                                                            </td>
                                                        </tr>
                                                        <%--  <tr>
                                                            <td style="text-align: right;">
                                                                <dx:ASPxLabel ID="lbl" runat="server" Text="Managers:" />
                                                            </td>
                                                            <td>&nbsp;</td>
                                                            <td>
                                                                <dx:ASPxTextBox ID="tbManagers" runat="server" Width="200px" />
                                                            </td>
                                                        </tr>--%>
                                                        <tr>
                                                            <td style="text-align: right;">
                                                                <dx:ASPxLabel ID="ASPxLabel1" runat="server" Text="Surveyor Extension Group:" />
                                                            </td>
                                                            <td>&nbsp;</td>
                                                            <td>
                                                                <%-- <dx:ASPxTextBox ID="tbGroup" runat="server" Width="200px" />--%>
                                                                <dx:ASPxComboBox ID="cboxExtensionGroupName" runat="server" Width="200px"></dx:ASPxComboBox>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="text-align: right;">
                                                                <dx:ASPxLabel ID="lblWaitTime" runat="server" Text="Wait Time:" />
                                                            </td>
                                                            <td>&nbsp;</td>
                                                            <td>
                                                                <dx:ASPxTimeEdit ID="teWaitTime" runat="server" Width="200px" DisplayFormatString="HH:mm" EditFormatString="HH:mm" />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="text-align: right;">
                                                                <dx:ASPxLabel ID="lblSessionTimeout" runat="server" Text="Session Timeout:" />
                                                            </td>
                                                            <td>&nbsp;</td>
                                                            <td>
                                                                <dx:ASPxTimeEdit ID="teSessionTimeout" runat="server" Width="200px" DisplayFormatString="HH:mm" EditFormatString="HH:mm" />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="text-align: right;">
                                                                <dx:ASPxLabel ID="lblDialAllContacts" runat="server" Text="Auto Dial:" Visible="false" />
                                                            </td>
                                                            <td>&nbsp;</td>
                                                            <td>
                                                                <dx:ASPxCheckBox ID="chkDialAllContacts" runat="server" AutoPostBack="true" Visible="false" />
                                                            </td>
                                                        </tr>
                                                        <%--<tr>
                                                            <td style="text-align: right;">
                                                                <dx:ASPxLabel ID="lblCallHangUp"  runat="server" Text="Call Hang Up Time:" />
                                                            </td>
                                                            <td>&nbsp;</td>
                                                            <td>
                                                                 <dx:ASPxTimeEdit ID="teCallHangUp" runat="server" Width="200px" DisplayFormatString="ss" EditFormatString="ss" /> 
                                                                <%--<dx:ASPxTextBox ID="txtCallHangUp" runat="server" Width="200px"></dx:ASPxTextBox>--%>
                                                        <%-- </td>
                                                        </tr>--%>
                                                        <tr>
                                                            <td colspan="3">
                                                                <br />
                                                                <dx:ASPxLabel ID="ASPxLabel2" runat="server" Text="Auto Import" ForeColor="DarkOrange" Font-Size="Large" />
                                                                <br />
                                                                <br />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="text-align: right;">
                                                                <dx:ASPxLabel ID="lblImportToContacts" runat="server" Text="Auto Import Contacts:" />
                                                            </td>
                                                            <td>&nbsp;</td>
                                                            <td>
                                                                <dx:ASPxCheckBox ID="cbImportToCampaign" runat="server">
                                                                    <ClientSideEvents ValueChanged="function(s, e) {
                                                                        var state = s.GetChecked();
                                                                        lblIsFirstRowHeader.SetEnabled(state);
                                                                        cbIsFirstRowHeader.SetEnabled(state);
                                                                        lblImportPath.SetEnabled(state);
                                                                        tbImportPath.SetEnabled(state);
                                                                        lblArchivePath.SetEnabled(state);
                                                                        tbArchivePath.SetEnabled(state);
                                                                        }" />
                                                                </dx:ASPxCheckBox>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="text-align: right;">
                                                                <dx:ASPxLabel ID="lblIsFirstRowHeader" ClientInstanceName="lblIsFirstRowHeader" runat="server" Text="First Row Header:" />
                                                            </td>
                                                            <td>&nbsp;</td>
                                                            <td>
                                                                <dx:ASPxCheckBox ID="cbIsFirstRowHeader" ClientInstanceName="cbIsFirstRowHeader" runat="server" />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="text-align: right;">
                                                                <dx:ASPxLabel ID="lblImportPath" ClientInstanceName="lblImportPath" runat="server" Text="Import Path:" />
                                                            </td>
                                                            <td>&nbsp;</td>
                                                            <td>
                                                                <dx:ASPxTextBox ID="tbImportPath" ClientInstanceName="tbImportPath" runat="server" Width="200px" />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="text-align: right;">
                                                                <dx:ASPxLabel ID="lblArchivePath" ClientInstanceName="lblArchivePath" runat="server" Text="Archive Path:" />
                                                            </td>
                                                            <td>&nbsp;</td>
                                                            <td>
                                                                <dx:ASPxTextBox ID="tbArchivePath" ClientInstanceName="tbArchivePath" runat="server" Width="200px" />
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td colspan="3">
                                                                <br />
                                                                <div style="text-align: right">
                                                                    <table>
                                                                        <tr>
                                                                            <td>
                                                                                <dx:ASPxButton ID="btnReloadPool" runat="server" Text="Reload" Image-IconID="actions_refresh_16x16" Theme="SoftOrange" Width="90px" OnClick="btnReload_Click" />
                                                                            </td>
                                                                            <td>&nbsp;</td>
                                                                            <td>
                                                                                <dx:ASPxButton ID="btnSaveSettings" runat="server" Text="Save" Image-IconID="save_save_16x16" Theme="SoftOrange" Width="90px" OnClick="btnSaveSettings_Click" />
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </div>
                                                                <dx:ASPxLabel ID="ASPxLabel6" runat="server" Text="Warning!" ForeColor="DarkOrange" Font-Bold="true" />
                                                                <dx:ASPxLabel ID="ASPxLabel7" runat="server" Text="Pressing the 'Reload' button will log all users out of Surveyor and restart the application with new settings" />
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                                <td style="vertical-align: top">
                                                    <dx:ASPxPanel ID="ASPxPanel1" runat="server" Width="100%" Height="450" ScrollBars="Vertical" ForeColor="Black">
                                                        <PanelCollection>
                                                            <dx:PanelContent>
                                                                <dx:ASPxLabel ID="ASPxLabel5" runat="server" Text="Instructions:" ForeColor="DarkOrange" Font-Size="Large" />
                                                                <dl>
                                                                    <dt>Culture</dt>
                                                                    <dd>The culture setting controls how dates and currency is displayed throughout the web portal.  The default is English.</dd>
                                                                    <dt>Surveyor Extension Group</dt>
                                                                    <dd>Manage access to the Surveyor web portal by specifying a 3CX extension group.  Members of this extension group can
                                                                        login to the portal.  Surveyor licensing is based on the number of people in this extension group (including extension group managers).
                                                                    </dd>
                                                                    <dd>Only Managers have the ability to create campaigns, lists, import contacts, and assign agents to lists.You can assign 'Manager' 
                                                                        role to a specific extension in the '3CX Console Management' by navigating to 
                                                                        'Extensions > Select desired extension > Rights', and then by selecting 'Role' as 'Manager'.
                                                                    </dd>
                                                                    <dt>Wait Time (Hours : Minutes)</dt>
                                                                    <dd>The wait time controls how soon a contact will be presented again if, for example, the contact was previously dispositioned
                                                                        as "No Answer"
                                                                    </dd>
                                                                    <dt>Session Timeout (Hours : Minutes)</dt>
                                                                    <dd>The Session Timeout setting controls when a web page (session) will expire based on inactivity.  When a web page expires the user is redirected to the login page."
                                                                    </dd>
                                                                    <%-- 
                                                                       <dt>Auto Dial:</dt>
                                                                    <dd>On enabling 'Auto Dial' feature, all the contacts associated to the current campaign list will receive calls when a user clicks 'Next' button in the 'Call Control' wizard.</dd>
                                                                    --%>
                                                                    <dt>Auto Import Contacts</dt>
                                                                    <dd>Select this option to enable the automatic import of new CSV files.  Surveyor has the ability to monitor a specified folder 
                                                                        and if a new CSV file is placed in the monitored folder the contents are automatically imported into a campaign.  Select
                                                                        this option to turn on the auto-import feature.
                                                                    </dd>
                                                                    <dt>First Row Header</dt>
                                                                    <dd>You can instruct the auto-import feature to skip the first row of the CSV file if this row contains column heading rather
                                                                        than data to be imported.
                                                                    </dd>
                                                                    <dt>Import Path</dt>
                                                                    <dd>This is the monitored folder used by the auto-import feature.</dd>
                                                                    <dt>Archive Path</dt>
                                                                    <dd>Once a CSV file has been auto-imported the original CSV file is moved to this folder.</dd>
                                                                </dl>
                                                            </dx:PanelContent>
                                                        </PanelCollection>
                                                    </dx:ASPxPanel>
                                                </td>
                                            </tr>
                                        </table>

                                    </div>

                                </ContentTemplate>
                            </asp:UpdatePanel>

                        </dx:ContentControl>
                    </ContentCollection>
                </dx:TabPage>
            </TabPages>
            <TabPages>
                <dx:TabPage Text="Controls">
                    <ContentCollection>
                        <dx:ContentControl ID="ccControls" runat="server">
                            <div style="width: 830px; margin: 0 auto; padding-bottom: 10px;">
                                <table>
                                    <tr>
                                        <td>
                                            <dx:ASPxButton ID="btnReload" runat="server" Text="Reload" Image-IconID="actions_refresh_16x16" Theme="SoftOrange" Width="90px" OnClick="btnReload_Click" />
                                        </td>
                                        <td>&nbsp;</td>
                                        <td>
                                            <dx:ASPxLabel ID="lblWarning" runat="server" Text="Warning!" ForeColor="DarkOrange" Font-Bold="true" />
                                            <dx:ASPxLabel ID="lblWarnMsg" runat="server" Text="Pressing the 'Reload' button will log all users out of Surveyor.  The Reload button will restart the application and display your changes" />
                                        </td>
                                    </tr>
                                </table>
                            </div>

                            <!-- Results GridView -->
                            <div class="shadow" style="width: 830px; margin: 0 auto;">
                                <dx:ASPxGridView
                                    ID="gvControlSettings"
                                    runat="server"
                                    AutoGenerateColumns="False"
                                    DataSourceID="sdsControlSettings"
                                    KeyFieldName="ControlID"
                                    Width="830px" EnableCallBacks="true" OnHtmlDataCellPrepared="gvControlSettings_HtmlDataCellPrepared">
                                    <ClientSideEvents BeginCallback="StartCallBack" EndCallback="Endcall" />
                                    <Columns>
                                        <dx:GridViewDataTextColumn FieldName="ControlID" VisibleIndex="1" Visible="False" ReadOnly="True" />
                                        <dx:GridViewDataTextColumn FieldName="Culture" VisibleIndex="2" Caption="Culture" ReadOnly="True" Width="75px" />
                                        <dx:GridViewDataTextColumn FieldName="ScreenName" VisibleIndex="3" Caption="Screen" ReadOnly="True" Width="75px" />
                                        <dx:GridViewDataTextColumn FieldName="LabelName" VisibleIndex="4" Caption="Label Name" ReadOnly="True" Width="130px" />
                                        <dx:GridViewDataTextColumn FieldName="LabelText" VisibleIndex="5" Caption="Label Text" ReadOnly="False" Width="130px" />
                                        <dx:GridViewDataTextColumn FieldName="ControlName" VisibleIndex="6" Caption="Control Name" ReadOnly="True" Width="130px" />
                                        <dx:GridViewDataCheckColumn FieldName="Admins" VisibleIndex="7" Caption="Admins" ReadOnly="False" Width="95px" />
                                        <dx:GridViewDataCheckColumn FieldName="Managers" VisibleIndex="8" Caption="Managers" ReadOnly="False" Width="95px" />
                                        <dx:GridViewDataCheckColumn FieldName="Users" VisibleIndex="9" Caption="Users" ReadOnly="False" />
                                    </Columns>
                                    <SettingsCommandButton>
                                        <CancelButton Image-IconID="actions_cancel_16x16" ButtonType="Image" Text="Cancel" />
                                        <UpdateButton Image-IconID="save_save_16x16" ButtonType="Image" Text="Save" />
                                    </SettingsCommandButton>
                                    <SettingsEditing Mode="Batch" />
                                    <SettingsBehavior ColumnResizeMode="NextColumn" />
                                    <SettingsPager PageSize="12" />
                                    <Settings ShowHorizontalScrollBar="false" ShowFilterRow="true" ShowTitlePanel="True" />
  <Styles  Header-BackColor="DarkOrange" Header-ForeColor="White" 
                                        AlternatingRow-BackColor="WhiteSmoke" TitlePanel-BackColor="DarkOrange" TitlePanel-ForeColor="White" />
                                    <SettingsText Title="Control Settings" />
                                </dx:ASPxGridView>
                            </div>
                        </dx:ContentControl>
                    </ContentCollection>
                </dx:TabPage>
            </TabPages>
            <TabPages>
                <dx:TabPage Text="Dispositions">
                    <ContentCollection>
                        <dx:ContentControl ID="ccDispositions" runat="server">
                            <div class="shadow" style="width: 700px; margin: 0 auto;">
                                <dx:ASPxGridView
                                    ID="gvDispositions"
                                    runat="server"
                                    AutoGenerateColumns="False"
                                    DataSourceID="sdsDispositionsSettings"
                                    KeyFieldName="CallStatus"
                                    OnInitNewRow="gvDispositions_InitNewRow"
                                    Width="700px" EnableCallBacks="true">
                                    <ClientSideEvents BeginCallback="StartCallBack" EndCallback="Endcall" />
                                    <Columns>
                                        <dx:GridViewCommandColumn
                                            VisibleIndex="0"
                                            Visible="true"
                                            Caption=" "
                                            ButtonType="Image"
                                            ShowNewButtonInHeader="true"
                                            Width="30" />
                                        <dx:GridViewDataTextColumn FieldName="CallStatus" VisibleIndex="1" Caption="CallStatus" Width="100" Visible="false" />
                                        <dx:GridViewDataTextColumn FieldName="Description" VisibleIndex="2" Caption="Description" />
                                        <dx:GridViewDataCheckColumn FieldName="AllowRetry" VisibleIndex="3" Caption="AllowRetry" />
                                        <dx:GridViewDataCheckColumn FieldName="Disable" VisibleIndex="4" Caption="Disable" />
                                    </Columns>
                                    <SettingsCommandButton
                                        NewButton-Image-IconID="actions_add_16x16gray"
                                        CancelButton-Image-IconID="actions_cancel_16x16gray"
                                        UpdateButton-Image-IconID="actions_apply_16x16gray"
                                        ApplyFilterButton-Image-IconID="actions_apply_16x16gray"
                                        ClearFilterButton-Image-IconID="actions_clear_16x16gray">
                                    </SettingsCommandButton>
                                    <SettingsEditing Mode="Batch" />
                                    <SettingsBehavior ColumnResizeMode="NextColumn" />
                                    <SettingsPager PageSize="12" />
                                    <Settings ShowHorizontalScrollBar="false" ShowFilterRow="true" ShowTitlePanel="True" />
                                    <Styles  Header-BackColor="DarkOrange" Header-ForeColor="White" >
                                        <Header HorizontalAlign="Center"  />
                                        <TitlePanel BackColor="DarkOrange" ForeColor="White" HorizontalAlign="Center" />
                                        <Header BackColor="Gray" ForeColor="White" Font-Bold="true" HorizontalAlign="Center" />
                                        <Cell HorizontalAlign="Center" VerticalAlign="Middle"></Cell>
                                    </Styles>
                                    <SettingsText Title="Control Settings" />
                                </dx:ASPxGridView>
                            </div>
                        </dx:ContentControl>
                    </ContentCollection>
                </dx:TabPage>
            </TabPages>

            <TabPages>
                <dx:TabPage Text="Lookups">
                    <ContentCollection>
                        <dx:ContentControl ID="ContentLookups" runat="server">
                            <div class="shadow" style="width: 700px; margin: 0 auto;">
                                <dx:ASPxGridView
                                    ID="gvLookups"
                                    runat="server"
                                    AutoGenerateColumns="False"
                                    DataSourceID="sdsLookupsSettings"
                                    KeyFieldName="LookupType;LookupValue"
                                    OnHtmlDataCellPrepared="gvLookups_HtmlDataCellPrepared"
                                    OnInitNewRow="gvLookups_InitNewRow"
                                    Width="700px" EnableCallBacks="true">
                                    <ClientSideEvents BeginCallback="StartCallBack" EndCallback="Endcall" />
                                    <Columns>
                                        <dx:GridViewCommandColumn
                                            VisibleIndex="0"
                                            Visible="true"
                                            Caption=" "
                                            ButtonType="Image"
                                            ShowNewButtonInHeader="true"
                                            Width="30" />
                                        <dx:GridViewDataTextColumn FieldName="LookupType" VisibleIndex="1" Caption="LookupType" />
                                        <dx:GridViewDataTextColumn FieldName="LookupValue" VisibleIndex="2" Caption="LookupValue" />
                                        <dx:GridViewDataTextColumn FieldName="LookupDisplay" VisibleIndex="3" Caption="LookupDisplay" />
                                        <dx:GridViewDataCheckColumn FieldName="Disable" VisibleIndex="4" Caption="Disable" />
                                    </Columns>
                                    <SettingsCommandButton
                                        NewButton-Image-IconID="actions_add_16x16gray"
                                        CancelButton-Image-IconID="actions_cancel_16x16gray"
                                        UpdateButton-Image-IconID="actions_apply_16x16gray"
                                        ApplyFilterButton-Image-IconID="actions_apply_16x16gray"
                                        ClearFilterButton-Image-IconID="actions_clear_16x16gray">
                                    </SettingsCommandButton>
                                    <SettingsEditing Mode="Batch" />
                                    <SettingsBehavior ColumnResizeMode="NextColumn" />
                                    <SettingsPager PageSize="12" />
                                    <Settings ShowHorizontalScrollBar="false" ShowFilterRow="true" ShowTitlePanel="True" />
                                    <Styles AlternatingRow-BackColor="WhiteSmoke">
                                        <Header HorizontalAlign="Center" />
                                        <TitlePanel BackColor="DarkOrange" ForeColor="White" HorizontalAlign="Center" />
                                        <Header BackColor="Gray" ForeColor="White" Font-Bold="true" HorizontalAlign="Center" />
                                        <Cell HorizontalAlign="Center" VerticalAlign="Middle"></Cell>
                                    </Styles>
                                    <SettingsText Title="Control Settings" />
                                </dx:ASPxGridView>
                            </div>
                        </dx:ContentControl>
                    </ContentCollection>
                </dx:TabPage>
            </TabPages>
            <TabPages>

                <dx:TabPage Text="Register">
                    <ContentCollection>
                        <dx:ContentControl ID="ccRegistration" runat="server">
                            <VoIPToys:WebLicensingControl runat="server" ID="webLicensingControl" />
                        </dx:ContentControl>
                    </ContentCollection>
                </dx:TabPage>
            </TabPages>
          
        </dx:ASPxPageControl>
    </div>




    <asp:UpdatePanel ID="upMsgBox" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <dx:ASPxPopupControl
                ID="pcMsgBox"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcMsgBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px"
                Theme="DevEx">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 40px;">
                                    <dx:ASPxImage ID="iIcon" runat="server" ImageUrl="~/Images/Info.png" />
                                </td>
                                <td>
                                    <dx:ASPxLabel ID="lblMsg" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width: 65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnOK" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcMsgBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>

    <asp:SqlDataSource
        ID="sdsControlSettings"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        SelectCommand="SELECT * FROM [ControlSettings]"
        UpdateCommand="UPDATE [ControlSettings] SET [LabelText] = @LabelText, [Admins] = @Admins, [Managers] = @Managers, [Users] = @Users WHERE [ControlID] = @ControlID">
        <UpdateParameters>
            <asp:Parameter Name="LabelText" Type="String" />
            <asp:Parameter Name="Admins" Type="Boolean" />
            <asp:Parameter Name="Managers" Type="Boolean" />
            <asp:Parameter Name="Users" Type="Boolean" />
            <asp:Parameter Name="ControlID" Type="Int32" />
        </UpdateParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource
        ID="sdsWidgetSettings"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        SelectCommand="SELECT * FROM [WidgetSettings]"
        UpdateCommand="UPDATE [WidgetSettings] SET [Enable] = @Enable WHERE [WidgetID] = @WidgetID">
        <UpdateParameters>
            <asp:Parameter Name="WidgetName" Type="String" />
            <asp:Parameter Name="Enable" Type="Boolean" />
            <asp:Parameter Name="WidgetID" Type="Int32" />
        </UpdateParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource
        ID="sdsDispositionsSettings"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        SelectCommand="SELECT * FROM [Dispositions]"
        InsertCommand="INSERT INTO [Dispositions] ([Description], [AllowRetry], [Disable]) VALUES (@Description, isnull(@AllowRetry, 0), isnull(@Disable, 0))"
        UpdateCommand="UPDATE [Dispositions] SET [Description] = @Description, [AllowRetry] = @AllowRetry, [Disable] = @Disable WHERE [CallStatus] = @CallStatus">
        <InsertParameters>
            <asp:Parameter Name="CallStatus" Type="Int32" />
            <asp:Parameter Name="Description" Type="String" />
            <asp:Parameter Name="AllowRetry" Type="Boolean" />
            <asp:Parameter Name="Disable" Type="Boolean" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="Description" Type="String" />
            <asp:Parameter Name="AllowRetry" Type="Boolean" />
            <asp:Parameter Name="Disable" Type="Boolean" />
            <asp:Parameter Name="CallStatus" Type="Int32" />
        </UpdateParameters>
    </asp:SqlDataSource>

    <asp:SqlDataSource
        ID="sdsLookupsSettings"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3cxSurveyorConnectionString %>"
        SelectCommand="SELECT CASE WHEN [LookupType] = 'TE' THEN 'Territory' WHEN [LookupType] = 'BS' THEN 'Buying Status' WHEN [LookupType] = 'CL' THEN 'Class' WHEN [LookupType] = 'CS' THEN 'Customer Status' ELSE [LookupType] END as LookupType, [LookupValue], [LookupDisplay], [Disable] FROM [Lookups]"
        InsertCommand="INSERT INTO [Lookups] (LookupType, [LookupValue], [LookupDisplay], [Disable])  VALUES (Case @LookupType When 'Territory' then 'TE' When 'Buying Status' then 'BS' When 'Class' then 'CL' When 'Customer Status' then 'CS' else @LookupType End, @LookupValue, @LookupDisplay, isnull(@Disable, 0))"
        UpdateCommand="UPDATE [Lookups] SET  [LookupDisplay] = @LookupDisplay, [Disable] = @Disable WHERE [LookupType] = (Case @LookupType When 'Territory' then 'TE' When 'Buying Status' then 'BS' When 'Class' then 'CL' When 'Customer Status' then 'CS' else @LookupType End) AND [LookupValue] = @LookupValue">
        <InsertParameters>
            <asp:Parameter Name="LookupType" Type="String" />
            <asp:Parameter Name="LookupValue" Type="String" />
            <asp:Parameter Name="LookupDisplay" Type="String" />
            <asp:Parameter Name="Disable" Type="Boolean" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="LookupDisplay" Type="String" />
            <asp:Parameter Name="Disable" Type="Boolean" />
            <asp:Parameter Name="LookupType" Type="String" />
            <asp:Parameter Name="LookupValue" Type="String" />
        </UpdateParameters>
    </asp:SqlDataSource>

</asp:Content>

