﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="SiteSettings.aspx.cs" Inherits="Surveyor.Website.SiteSettings" %>
<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <script type="text/javascript">
		var changes = 0; 
        function OnTextChanged(s, e) {
            var tempVal = document.getElementById('FileUploadControl').getAttribute('title');
            s.Upload();
		}

		function colorfun(s, e) {
			changes = changes + 1;
		}
		function checkchanges(s, e) {
            if (changes === 0) {
                alert("No Changes detected");
                e.processOnServer=false;
            }
		}
    </script>
     <style type="text/css">
        #MainContent_ASPxRoundPanel1_HC{
           background-color:#DEDEDE !important;
           
        }

        #MainContent_ASPxRoundPanel1{

            border:1px solid Silver  !important;
        }

        #MainContent_ASPxRoundPanel1_RPHT{
            font-size:small;
        }
    </style> 
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div class="RoundPanel" style="width:490px;" >
        <dx:ASPxRoundPanel 
            ID="ASPxRoundPanel1" 
            runat="server" 
            HeaderText="Custom Branding Settings" 
            ForeColor="DarkOrange" 
            Width="490px" 
            CssClass="shadow">
            <PanelCollection>
                <dx:PanelContent>
                    <div style="padding: 10px 10px 35px 10px;">

                        <asp:UpdatePanel ID="upRoundPanel" runat="server">
                            <ContentTemplate>

                                <dx:ASPxUploadControl
                                    ID="FileUploadControl"
                                    runat="server"
                                    NullText="Upload new logo --> "
                                    OnFileUploadComplete="FileUploadControl_FileUploadComplete"
                                    ClientInstanceName="uploader"
                                    Width="448px" 
                                    ClientIDMode="Static">
                                    <ClientSideEvents TextChanged="OnTextChanged" FilesUploadComplete="function(s,e) {cbFileList.PerformCallback('');}" />
                                    <ValidationSettings MaxFileSize="4194304" AllowedFileExtensions=".bmp, .gif, .png, .jpg, .jpeg" />
                                    <BrowseButton Text="Browse" />
                                </dx:ASPxUploadControl>

                                <br />
                                <table>
                                    <tr>
                                        <td class="td" style="padding-top:17px;">
                                            <dx:ASPxLabel ID="lblFontColor" runat="server" Text="Header Gradient Color:" ForeColor="DarkOrange" />
                                        </td>
                                        <td>&nbsp;</td>
                                        <td>
                                            <table style="border-collapse:collapse">
                                                <tr>
                                                    <td>Top Color</td>
                                                    <td>&nbsp;</td>
                                                    <td>Bottom Color</td>
                                                </tr>
                                                <tr>
                                                    <td><dx:ASPxColorEdit ID="ceGradientTopColor" runat="server"  AutoPostBack="true" Width="100" ClearButton-DisplayMode="Never">
														<ClientSideEvents ColorChanged="colorfun" />
                                                        </dx:ASPxColorEdit></td>
                                                    <td>&nbsp;</td>
                                                    <td><dx:ASPxColorEdit ID="ceGradientBottomColor" runat="server" AutoPostBack="true" Width="100" ClearButton-DisplayMode="Never">
														<ClientSideEvents ColorChanged="colorfun" />
                                                        </dx:ASPxColorEdit></td>
													<td>&nbsp</td>
													<td><dx:ASPxLabel ID="lblcolor" runat="server" Text=""></dx:ASPxLabel></td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="td">
                                            <dx:ASPxLabel ID="lblGridColor" runat="server" Text="Grid Color:" ForeColor="DarkOrange" />
                                        </td>
                                        <td>&nbsp;</td>
                                        <td>
                                            <dx:ASPxColorEdit ID="ceGridColor" runat="server" AutoPostBack="true" Width="100" ClearButton-DisplayMode="Never">
												<ClientSideEvents ColorChanged="colorfun" />
                                            </dx:ASPxColorEdit>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="td">
                                            <dx:ASPxLabel ID="lblDropdownLogo" runat="server" Text="Custom Logo:" ForeColor="DarkOrange"  />
                                        </td>
                                        <td>&nbsp;</td>
                                        <td>
                                            <dx:ASPxComboBox ID="cbFileList" runat="server" ClientInstanceName="cbFileList" OnCallback="cbFileList_Callback" AutoPostBack="true" ValueType="System.String" >
												<ClientSideEvents SelectedIndexChanged="colorfun" />
                                            </dx:ASPxComboBox>
                                        </td>
                                    </tr>
                                    <tr>
                                         <td class="td">
                                             <dx:ASPxLabel ID="lblHeader" runat="server" Text="Header Title:" ForeColor="DarkOrange" />
                                         </td>
                                        <td>&nbsp;</td>
                                        <td>
                                            <dx:ASPxTextBox ID="tbHeaderName" runat="server">
												<ClientSideEvents TextChanged="colorfun" />
                                            </dx:ASPxTextBox>
                                        </td>
                                    </tr>
                                </table>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                        <br />
                        <div style="float: right;">
                            <table>
                                <tr>
                                    <td><dx:ASPxButton ID="btnDefaults" runat="server" Text="Reset" ToolTip="Reset to default appearance" Image-IconID="actions_reset_16x16gray" OnClick="btnDefaults_Click" /></td>
                                    <td>&nbsp;</td>
									 <td><dx:ASPxButton ID="btnsave" runat="server" Text="Apply" ToolTip="Save custom branding settings" Image-IconID="save_save_16x16" OnClick="btnsave_Click">
										 <ClientSideEvents click="checkchanges" />
									     </dx:ASPxButton></td>
                                </tr>
                            </table>
                        </div>
                    </div>
                </dx:PanelContent>
            </PanelCollection>
        </dx:ASPxRoundPanel>
    </div>

    <asp:UpdatePanel ID="upMsgBox" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <dx:ASPxPopupControl 
                ID="pcMsgBox"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcMsgBox"
                AllowDragging="True"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width:100%;">
                            <tr>
                                <td style="width:40px;"><dx:ASPxImage ID="iIcon" runat="server" ImageUrl="~/Images/Info.png" /></td>
                                <td><dx:ASPxLabel ID="lblMsg" runat="server" Wrap="True" Text="" EncodeHtml="false" /></td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width:65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnOK" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcMsgBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
